Bug 1278335 - x11vnc crashes with stackoverflow
x11vnc crashes with stackoverflow
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: x11vnc (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 05:03 EST by Michael Prix
Modified: 2016-12-20 10:24 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:24:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb stack trace (7.24 KB, text/plain)
2016-01-10 18:04 EST, Dominique Brazziel
no flags Details
Crash log from x11vnc (23.45 KB, text/plain)
2016-03-18 09:47 EDT, Will Foster
no flags Details
stdout/err before crash in x11vnc (5.26 KB, text/plain)
2016-04-13 16:39 EDT, crxssi
no flags Details
stdout/err of vncviewer before crash of x11vnc (2.91 KB, text/plain)
2016-04-13 16:40 EDT, crxssi
no flags Details
stdout/err of x11vnc at/after time of crash (30.09 KB, text/plain)
2016-04-13 16:41 EDT, crxssi
no flags Details

  None (edit)
Description Michael Prix 2015-11-05 05:03:13 EST
Description of problem:
x11vnc crashes with stackoverflow after short time of usage.

Version-Release number of selected component (if applicable):
0.9.13

How reproducible:
start a vnc-session by using x11vnc. Type some words.


Additional info:
05/11/2015 10:40:49 link_rate: LR_LAN - 1 ms, 10979 KB/s
05/11/2015 10:40:53 created selwin: 0x60005f
05/11/2015 10:40:53 called initialize_xfixes()
*** stack smashing detected ***: /bin/x11vnc terminated
======= Backtrace: =========
/lib64/libc.so.6(+0x77e15)[0x7efca13ede15]
/lib64/libc.so.6(__fortify_fail+0x37)[0x7efca148a747]
/lib64/libc.so.6(__fortify_fail+0x0)[0x7efca148a710]
/bin/x11vnc(+0xb7c54)[0x55d841ed3c54]
/bin/x11vnc(+0xb815b)[0x55d841ed415b]
/lib64/libXtst.so.6(+0x1a4e)[0x7efca3164a4e]
/lib64/libXtst.so.6(+0x1edd)[0x7efca3164edd]
/lib64/libX11.so.6(+0x422ad)[0x7efca243c2ad]
/lib64/libX11.so.6(_XEventsQueued+0x55)[0x7efca243cca5]
/lib64/libX11.so.6(XPending+0x57)[0x7efca242e6a7]
/bin/x11vnc(+0x9711a)[0x55d841eb311a]
/bin/x11vnc(+0xa1665)[0x55d841ebd665]
/bin/x11vnc(+0x6a10b)[0x55d841e8610b]
/bin/x11vnc(+0x119ff)[0x55d841e2d9ff]
/lib64/libc.so.6(__libc_start_main+0xf0)[0x7efca1396580]
/bin/x11vnc(+0x1c8a9)[0x55d841e388a9]
======= Memory map: ========
55d841e1c000-55d841f6c000 r-xp 00000000 fd:00 433523                     /usr/bi
n/x11vnc
55d84216b000-55d84216d000 r--p 0014f000 fd:00 433523                     /usr/bi
n/x11vnc
55d84216d000-55d8421b2000 rw-p 00151000 fd:00 433523                     /usr/bi
n/x11vnc
55d8421b2000-55d8423f3000 rw-p 00000000 00:00 0 
55d843f3e000-55d844a3a000 rw-p 00000000 00:00 0                          [heap]
55d844a3a000-55d844c97000 rw-p 00000000 00:00 0                          [heap]
7efc990cf000-7efc990d4000 r-xp 00000000 fd:00 412458                     /usr/li
b64/libnss_dns-2.22.so
7efc990d4000-7efc992d4000 ---p 00005000 fd:00 412458                     /usr/li
b64/libnss_dns-2.22.so
7efc992d4000-7efc992d5000 r--p 00005000 fd:00 412458                     /usr/li
b64/libnss_dns-2.22.so
7efc992d5000-7efc992d6000 rw-p 00006000 fd:00 412458                     /usr/li
b64/libnss_dns-2.22.so
7efc992d6000-7efc992d8000 r-xp 00000000 fd:00 412726                     /usr/li
b64/libnss_mdns4_minimal.so.2
7efc992d8000-7efc994d8000 ---p 00002000 fd:00 412726                     /usr/li
b64/libnss_mdns4_minimal.so.2
7efc994d8000-7efc994d9000 r--p 00002000 fd:00 412726                     /usr/li
b64/libnss_mdns4_minimal.so.2
7efc994d9000-7efc994da000 rw-p 00000000 00:00 0 
7efc994da000-7efc994e5000 r-xp 00000000 fd:00 412753                     /usr/li
b64/libnss_files-2.22.so
7efc994e5000-7efc996e4000 ---p 0000b000 fd:00 412753                     /usr/li
b64/libnss_files-2.22.so
7efc996e4000-7efc996e5000 r--p 0000a000 fd:00 412753                     /usr/li
b64/libnss_files-2.22.so
7efc996e5000-7efc996e6000 rw-p 0000b000 fd:00 412753                     /usr/li
b64/libnss_files-2.22.so
7efc996e6000-7efc996ec000 rw-p 00000000 00:00 0 
7efc996ec000-7efc99746000 rw-s 00000000 00:05 35913835                   /SYSV00
000000 (deleted)
7efc99746000-7efc9979f000 rw-s 00000000 00:05 35881066                   /SYSV00
000000 (deleted)
7efc9979f000-7efc997f7000 rw-s 00000000 00:05 35848297                   /SYSV00
000000 (deleted)
7efc997f7000-7efc9984e000 rw-s 00000000 00:05 35815528                   /SYSV00
000000 (deleted)
7efc9984e000-7efc998a4000 rw-s 00000000 00:05 35782759                   /SYSV00
000000 (deleted)
7efc998a4000-7efc998f9000 rw-s 00000000 00:05 35749990                   /SYSV00
000000 (deleted)
7efc998f9000-7efc9994d000 rw-s 00000000 00:05 35717221                   /SYSV00
000000 (deleted)
7efc9994d000-7efc999a0000 rw-s 00000000 00:05 35684452                   /SYSV00
000000 (deleted)
7efc999a0000-7efc999f2000 rw-s 00000000 00:05 35651683                   /SYSV00
000000 (deleted)
7efc999f2000-7efc99a43000 rw-s 00000000 00:05 35618914                   /SYSV00
000000 (deleted)
7efc99a43000-7efc99a93000 rw-s 00000000 00:05 35586145                   /SYSV00
000000 (deleted)
7efc99a93000-7efc99ae2000 rw-s 00000000 00:05 35553376                   /SYSV00
000000 (deleted)
7efc99ae2000-7efc99b30000 rw-s 00000000 00:05 35520607                   /SYSV00
000000 (deleted)
7efc99b30000-7efc99b7d000 rw-s 00000000 00:05 35487838                   /SYSV00
000000 (deleted)
7efc99b7d000-7efc99bc9000 rw-s 00000000 00:05 35455069                   /SYSV00
000000 (deleted)
7efc99bc9000-7efc99c14000 rw-s 00000000 00:05 35422299                   /SYSV00
000000 (deleted)
7efc99c14000-7efc99c5e000 rw-s 00000000 00:05 35389530                   /SYSV00
000000 (deleted)
7efc99c5e000-7efc99ca7000 rw-s 00000000 00:05 35356761                   /SYSV00
000000 (deleted)
7efc99ca7000-7efc99cef000 rw-s 00000000 00:05 35323992                   /SYSV00
000000 (deleted)
7efc99cef000-7efc9aebc000 rw-p 00000000 00:00 0 
7efc9aeeb000-7efc9af32000 rw-s 00000000 00:05 35291223                   /SYSV00
000000 (deleted)
7efc9af32000-7efc9af78000 rw-s 00000000 00:05 35258454                   /SYSV00
000000 (deleted)
7efc9af78000-7efc9afbd000 rw-s 00000000 00:05 35225685                   /SYSV00
000000 (deleted)
7efc9afbd000-7efc9b001000 rw-s 00000000 00:05 35192916                   /SYSV00
000000 (deleted)
7efc9b001000-7efc9b044000 rw-s 00000000 00:05 35160147                   /SYSV00
000000 (deleted)
7efc9b044000-7efc9b086000 rw-s 00000000 00:05 35127378                   /SYSV00
000000 (deleted)
7efc9b086000-7efc9b0c7000 rw-s 00000000 00:05 35094609                   /SYSV00
000000 (deleted)
7efc9b0c7000-7efc9b107000 rw-s 00000000 00:05 35061840                   /SYSV00
000000 (deleted)
7efc9b107000-7efc9b146000 rw-s 00000000 00:05 35029071                   /SYSV00
000000 (deleted)
7efc9b146000-7efc9b184000 rw-s 00000000 00:05 34996302                   /SYSV00
000000 (deleted)
7efc9b184000-7efc9b1c1000 rw-s 00000000 00:05 34963533                   /SYSV00
000000 (deleted)
7efc9b1c1000-7efc9b1fd000 rw-s 00000000 00:05 34930764                   /SYSV00
000000 (deleted)
7efc9b1fd000-7efc9b238000 rw-s 00000000 00:05 34897995                   /SYSV00
000000 (deleted)
7efc9b238000-7efc9b272000 rw-s 00000000 00:05 34865226                   /SYSV00
000000 (deleted)
7efc9b272000-7efc9b2ab000 rw-s 00000000 00:05 34832457                   /SYSV00
000000 (deleted)
7efc9b2ab000-7efc9b2e3000 rw-s 00000000 00:05 34799688                   /SYSV00
000000 (deleted)
7efc9b2e3000-7efc9b31a000 rw-s 00000000 00:05 34766919                   /SYSV00
000000 (deleted)
7efc9b31a000-7efc9b350000 rw-s 00000000 00:05 34734150                   /SYSV00
000000 (deleted)
7efc9b350000-7efc9b385000 rw-s 00000000 00:05 34701381                   /SYSV00
000000 (deleted)
7efc9b385000-7efc9b3b9000 rw-s 00000000 00:05 34668612                   /SYSV00
000000 (deleted)
7efc9b3b9000-7efc9b3ec000 rw-s 00000000 00:05 34635843                   /SYSV00
000000 (deleted)
7efc9b3ec000-7efc9b41e000 rw-s 00000000 00:05 34603074                   /SYSV00
000000 (deleted)
7efc9b41e000-7efc9b44f000 rw-s 00000000 00:05 34570305                   /SYSV00
000000 (deleted)
7efc9b44f000-7efc9b47f000 rw-s 00000000 00:05 34537536                   /SYSV00
000000 (deleted)
7efc9b47f000-7efc9b4ae000 rw-s 00000000 00:05 34504767                   /SYSV00
000000 (deleted)
7efc9b4ae000-7efc9b4dc000 rw-s 00000000 00:05 34471998                   /SYSV00
000000 (deleted)
7efc9b4dc000-7efc9b509000 rw-s 00000000 00:05 34439229                   /SYSV00
000000 (deleted)
7efc9b509000-7efc9b535000 rw-s 00000000 00:05 34406460                   /SYSV00
000000 (deleted)
7efc9b535000-7efc9b560000 rw-s 00000000 00:05 34373691                   /SYSV00
000000 (deleted)
7efc9b560000-7efc9b58a000 rw-s 00000000 00:05 34340922                   /SYSV00
000000 (deleted)
7efc9b58a000-7efc9b5b3000 rw-s 00000000 00:05 34308153                   /SYSV00
000000 (deleted)
7efc9b5b3000-7efc9b5db000 rw-s 00000000 00:05 34275384                   /SYSV00
000000 (deleted)
7efc9b5db000-7efc9b602000 rw-s 00000000 00:05 34242615                   /SYSV00
000000 (deleted)
7efc9b602000-7efc9b628000 rw-s 00000000 00:05 34209846                   /SYSV00
000000 (deleted)
7efc9b628000-7efc9b64d000 rw-s 00000000 00:05 34177077                   /SYSV00
000000 (deleted)
7efc9b64d000-7efc9b671000 rw-s 00000000 00:05 34144308                   /SYSV00
000000 (deleted)
7efc9b671000-7efc9b694000 rw-s 00000000 00:05 34111539                   /SYSV00
000000 (deleted)
7efc9b694000-7efc9b6b6000 rw-s 00000000 00:05 34078770                   /SYSV00
000000 (deleted)
7efc9b6b6000-7efc9b6d7000 rw-s 00000000 00:05 34046001                   /SYSV00
000000 (deleted)
7efc9b6d7000-7efc9b6f7000 rw-s 00000000 00:05 34013232                   /SYSV00
000000 (deleted)
7efc9b6f7000-7efc9b716000 rw-s 00000000 00:05 33980463                   /SYSV00
000000 (deleted)
7efc9b716000-7efc9b734000 rw-s 00000000 00:05 33947694                   /SYSV00
000000 (deleted)
7efc9b734000-7efc9b751000 rw-s 00000000 00:05 33914925                   /SYSV00
000000 (deleted)
7efc9b751000-7efc9b76d000 rw-s 00000000 00:05 33882156                   /SYSV00
000000 (deleted)
7efc9b76d000-7efc9b788000 rw-s 00000000 00:05 33849387                   /SYSV00
000000 (deleted)
7efc9b788000-7efc9b7a2000 rw-s 00000000 00:05 33816618                   /SYSV00
000000 (deleted)
7efc9b7a2000-7efc9c089000 rw-s 00000000 00:05 32964616                   /SYSV00
000000 (deleted)
7efc9c089000-7efc9c08d000 r-xp 00000000 fd:00 430250                     /usr/li
b64/libattr.so.1.1.0
7efc9c08d000-7efc9c28d000 ---p 00004000 fd:00 430250                     /usr/li
b64/libattr.so.1.1.0
7efc9c28d000-7efc9c28e000 r--p 00004000 fd:00 430250                     /usr/li
b64/libattr.so.1.1.0
7efc9c28e000-7efc9c28f000 rw-p 00000000 00:00 0 
7efc9c28f000-7efc9c29e000 r-xp 00000000 fd:00 421807                     /usr/li
b64/libbz2.so.1.0.6
7efc9c29e000-7efc9c49d000 ---p 0000f000 fd:00 421807                     /usr/li
b64/libbz2.so.1.0.6
7efc9c49d000-7efc9c49e000 r--p 0000e000 fd:00 421807                     /usr/li
b64/libbz2.so.1.0.6
7efc9c49e000-7efc9c49f000 rw-p 0000f000 fd:00 421807                     /usr/li
b64/libbz2.so.1.0.6
7efc9c49f000-7efc9c4b4000 r-xp 00000000 fd:00 433673                     /usr/li
b64/libelf-0.163.so
7efc9c4b4000-7efc9c6b3000 ---p 00015000 fd:00 433673                     /usr/li
b64/libelf-0.163.so
7efc9c6b3000-7efc9c6b4000 r--p 00014000 fd:00 433673                     /usr/li
b64/libelf-0.163.so
7efc9c6b4000-7efc9c6b5000 rw-p 00015000 fd:00 433673                     /usr/li
b64/libelf-0.163.so
7efc9c6b5000-7efc9c723000 r-xp 00000000 fd:00 411218                     /usr/li
b64/libpcre.so.1.2.5
7efc9c723000-7efc9c923000 ---p 0006e000 fd:00 411218                     /usr/li
b64/libpcre.so.1.2.5
7efc9c923000-7efc9c924000 r--p 0006e000 fd:00 411218                     /usr/li
b64/libpcre.so.1.2.5
7efc9c924000-7efc9c925000 rw-p 0006f000 fd:00 411218                     /usr/li
b64/libpcre.so.1.2.5
7efc9c925000-7efc9c93b000 r-xp 00000000 fd:00 415696                     /usr/li
b64/libgcc_s-5.1.1-20150618.so.1
7efc9c93b000-7efc9cb3a000 ---p 00016000 fd:00 415696                     /usr/li
b64/libgcc_s-5.1.1-20150618.so.1
7efc9cb3a000-7efc9cb3b000 r--p 00015000 fd:00 415696                     /usr/li
b64/libgcc_s-5.1.1-20150618.so.1
7efc9cb3b000-7efc9cb3c000 rw-p 00016000 fd:00 415696                     /usr/li
b64/libgcc_s-5.1.1-20150618.so.1
7efc9cb3c000-7efc9cb40000 r-xp 00000000 fd:00 431594                     /usr/li
b64/libcap.so.2.24
7efc9cb40000-7efc9cd3f000 ---p 00004000 fd:00 431594                     /usr/li
b64/libcap.so.2.24
7efc9cd3f000-7efc9cd40000 r--p 00003000 fd:00 431594                     /usr/li
b64/libcap.so.2.24
7efc9cd40000-7efc9cd41000 rw-p 00004000 fd:00 431594                     /usr/li
b64/libcap.so.2.24
7efc9cd41000-7efc9cd87000 r-xp 00000000 fd:00 415059                     /usr/li
b64/libdw-0.163.so
7efc9cd87000-7efc9cf87000 ---p 00046000 fd:00 415059                     /usr/li
b64/libdw-0.163.so
7efc9cf87000-7efc9cf89000 r--p 00046000 fd:00 415059                     /usr/li
b64/libdw-0.163.so
7efc9cf89000-7efc9cf8a000 rw-p 00048000 fd:00 415059                     /usr/li
b64/libdw-0.163.so
7efc9cf8a000-7efc9cfaf000 r-xp 00000000 fd:00 395058                     /usr/li
b64/liblzma.so.5.2.1
7efc9cfaf000-7efc9d1ae000 ---p 00025000 fd:00 395058                     /usr/li
b64/liblzma.so.5.2.1
7efc9d1ae000-7efc9d1af000 r--p 00024000 fd:00 395058                     /usr/li
b64/liblzma.so.5.2.1
7efc9d1af000-7efc9d1b0000 rw-p 00000000 00:00 0 
7efc9d1b0000-7efc9d1b7000 r-xp 00000000 fd:00 414684                     /usr/li
b64/librt-2.22.so
7efc9d1b7000-7efc9d3b6000 ---p 00007000 fd:00 414684                     /usr/li
b64/librt-2.22.so
7efc9d3b6000-7efc9d3b7000 r--p 00006000 fd:00 414684                     /usr/li
b64/librt-2.22.so
7efc9d3b7000-7efc9d3b8000 rw-p 00007000 fd:00 414684                     /usr/li
b64/librt-2.22.so
7efc9d3b8000-7efc9d3d7000 r-xp 00000000 fd:00 433618                     /usr/li
b64/libselinux.so.1
7efc9d3d7000-7efc9d5d7000 ---p 0001f000 fd:00 433618                     /usr/li
b64/libselinux.so.1
7efc9d5d7000-7efc9d5d8000 r--p 0001f000 fd:00 433618                     /usr/li
b64/libselinux.so.1
7efc9d5d8000-7efc9d5d9000 rw-p 00020000 fd:00 433618                     /usr/li
b64/libselinux.so.1
7efc9d5d9000-7efc9d5db000 rw-p 00000000 00:00 0 
7efc9d5db000-7efc9d5e2000 r-xp 00000000 fd:00 412888                     /usr/li
b64/libffi.so.6.0.2
7efc9d5e2000-7efc9d7e1000 ---p 00007000 fd:00 412888                     /usr/li
b64/libffi.so.6.0.2
7efc9d7e1000-7efc9d7e2000 r--p 00006000 fd:00 412888                     /usr/li
b64/libffi.so.6.0.2
7efc9d7e2000-7efc9d7e3000 rw-p 00007000 fd:00 412888                     /usr/li
b64/libffi.so.6.0.2
7efc9d7e3000-7efc9d7e5000 r-xp 00000000 fd:00 422977                     /usr/li
b64/libXau.so.6.0.0
7efc9d7e5000-7efc9d9e5000 ---p 00002000 fd:00 422977                     /usr/li
b64/libXau.so.6.0.0
7efc9d9e5000-7efc9d9e6000 r--p 00002000 fd:00 422977                     /usr/li
b64/libXau.so.6.0.0
7efc9d9e6000-7efc9d9e7000 rw-p 00000000 00:00 0 
7efc9d9e7000-7efc9d9ea000 r-xp 00000000 fd:00 418702                     /usr/li
b64/libkeyutils.so.1.5
7efc9d9ea000-7efc9dbe9000 ---p 00003000 fd:00 418702                     /usr/li
b64/libkeyutils.so.1.5
7efc9dbe9000-7efc9dbea000 r--p 00002000 fd:00 418702                     /usr/li
b64/libkeyutils.so.1.5
7efc9dbea000-7efc9dbeb000 rw-p 00000000 00:00 0 
7efc9dbeb000-7efc9dbf8000 r-xp 00000000 fd:00 422436                     /usr/li
b64/libkrb5support.so.0.1
7efc9dbf8000-7efc9ddf8000 ---p 0000d000 fd:00 422436                     /usr/li
b64/libkrb5support.so.0.1
7efc9ddf8000-7efc9ddf9000 r--p 0000d000 fd:00 422436                     /usr/li
b64/libkrb5support.so.0.1
7efc9ddf9000-7efc9ddfa000 rw-p 0000e000 fd:00 422436                     /usr/li
b64/libkrb5support.so.0.1
7efc9ddfa000-7efc9de71000 r-xp 00000000 fd:00 428292                     /usr/li
b64/libgmp.so.10.2.0
7efc9de71000-7efc9e070000 ---p 00077000 fd:00 428292                     /usr/li
b64/libgmp.so.10.2.0
7efc9e070000-7efc9e071000 r--p 00076000 fd:00 428292                     /usr/li
b64/libgmp.so.10.2.0
7efc9e071000-7efc9e072000 rw-p 00077000 fd:00 428292                     /usr/li
b64/libgmp.so.10.2.0
7efc9e072000-7efc9e09c000 r-xp 00000000 fd:00 436901                     /usr/li
b64/libhogweed.so.4.1
7efc9e09c000-7efc9e29c000 ---p 0002a000 fd:00 436901                     /usr/li
b64/libhogweed.so.4.1
7efc9e29c000-7efc9e29d000 r--p 0002a000 fd:00 436901                     /usr/li
b64/libhogweed.so.4.1
7efc9e29d000-7efc9e29e000 rw-p 00000000 00:00 0 
7efc9e29e000-7efc9e2d3000 r-xp 00000000 fd:00 436906                     /usr/li
b64/libnettle.so.6.1
7efc9e2d3000-7efc9e4d2000 ---p 00035000 fd:00 436906                     /usr/li
b64/libnettle.so.6.1
7efc9e4d2000-7efc9e4d4000 r--p 00034000 fd:00 436906                     /usr/li
b64/libnettle.so.6.1
7efc9e4d4000-7efc9e4d5000 rw-p 00000000 00:00 0 
7efc9e4d5000-7efc9e4e6000 r-xp 00000000 fd:00 431626                     /usr/li
b64/libtasn1.so.6.4.2
7efc9e4e6000-7efc9e6e6000 ---p 00011000 fd:00 431626                     /usr/li
b64/libtasn1.so.6.4.2
7efc9e6e6000-7efc9e6e7000 r--p 00011000 fd:00 431626                     /usr/li
b64/libtasn1.so.6.4.2
7efc9e6e7000-7efc9e6e8000 rw-p 00012000 fd:00 431626                     /usr/li
b64/libtasn1.so.6.4.2
7efc9e6e8000-7efc9e71a000 r-xp 00000000 fd:00 411105                     /usr/li
b64/libidn.so.11.6.15
7efc9e71a000-7efc9e91a000 ---p 00032000 fd:00 411105                     /usr/li
b64/libidn.so.11.6.15
7efc9e91a000-7efc9e91b000 r--p 00032000 fd:00 411105                     /usr/li
b64/libidn.so.11.6.15
7efc9e91b000-7efc9e91c000 rw-p 00033000 fd:00 411105                     /usr/li
b64/libidn.so.11.6.15
7efc9e91c000-7efc9e976000 r-xp 00000000 fd:00 415467                     /usr/li
b64/libp11-kit.so.0.1.0
7efc9e976000-7efc9eb76000 ---p 0005a000 fd:00 415467                     /usr/li
b64/libp11-kit.so.0.1.0
7efc9eb76000-7efc9eb80000 r--p 0005a000 fd:00 415467                     /usr/li
b64/libp11-kit.so.0.1.0
7efc9eb80000-7efc9eb82000 rw-p 00064000 fd:00 415467                     /usr/li
b64/libp11-kit.so.0.1.0
7efc9eb82000-7efc9eb94000 r-xp 00000000 fd:00 400246                     /usr/li
b64/libgpg-error.so.0.16.0
7efc9eb94000-7efc9ed93000 ---p 00012000 fd:00 400246                     /usr/li
b64/libgpg-error.so.0.16.0
7efc9ed93000-7efc9ed94000 r--p 00011000 fd:00 400246                     /usr/li
b64/libgpg-error.so.0.16.0
7efc9ed94000-7efc9ed95000 rw-p 00012000 fd:00 400246                     /usr/li
b64/libgpg-error.so.0.16.0
7efc9ed95000-7efc9ee96000 r-xp 00000000 fd:00 411010                     /usr/li
b64/libm-2.22.so
7efc9ee96000-7efc9f095000 ---p 00101000 fd:00 411010                     /usr/li
b64/libm-2.22.so
7efc9f095000-7efc9f096000 r--p 00100000 fd:00 411010                     /usr/li
b64/libm-2.22.so
7efc9f096000-7efc9f097000 rw-p 00101000 fd:00 411010                     /usr/li
b64/libm-2.22.so
7efc9f097000-7efc9f0e5000 r-xp 00000000 fd:00 395954                     /usr/li
b64/libdbus-1.so.3.14.3
7efc9f0e5000-7efc9f2e4000 ---p 0004e000 fd:00 395954                     /usr/li
b64/libdbus-1.so.3.14.3
7efc9f2e4000-7efc9f2e6000 r--p 0004d000 fd:00 395954                     /usr/li
b64/libdbus-1.so.3.14.3
7efc9f2e6000-7efc9f2e7000 rw-p 0004f000 fd:00 395954                     /usr/li
b64/libdbus-1.so.3.14.3
7efc9f2e7000-7efc9f308000 r-xp 00000000 fd:00 413101                     /usr/li
b64/libxcb.so.1.1.0
7efc9f308000-7efc9f507000 ---p 00021000 fd:00 413101                     /usr/li
b64/libxcb.so.1.1.0
7efc9f507000-7efc9f508000 r--p 00020000 fd:00 413101                     /usr/li
b64/libxcb.so.1.1.0
7efc9f508000-7efc9f509000 rw-p 00021000 fd:00 413101                     /usr/li
b64/libxcb.so.1.1.0
7efc9f509000-7efc9f512000 r-xp 00000000 fd:00 431911                     /usr/li
b64/libXrender.so.1.3.0
7efc9f512000-7efc9f712000 ---p 00009000 fd:00 431911                     /usr/li
b64/libXrender.so.1.3.0
7efc9f712000-7efc9f713000 r--p 00009000 fd:00 431911                     /usr/li
b64/libXrender.so.1.3.0
7efc9f713000-7efc9f714000 rw-p 0000a000 fd:00 431911                     /usr/li
b64/libXrender.so.1.3.0
7efc9f714000-7efc9f723000 r-xp 00000000 fd:00 431876                     /usr/li
b64/libXi.so.6.1.0
7efc9f723000-7efc9f922000 ---p 0000f000 fd:00 431876                     /usr/li
b64/libXi.so.6.1.0
7efc9f922000-7efc9f923000 r--p 0000e000 fd:00 431876                     /usr/li
b64/libXi.so.6.1.0
7efc9f923000-7efc9f924000 rw-p 0000f000 fd:00 431876                     /usr/li
b64/libXi.so.6.1.0
7efc9f924000-7efc9f99b000 r-xp 00000000 fd:00 412757                     /usr/li
b64/libfreebl3.so
7efc9f99b000-7efc9fb9a000 ---p 00077000 fd:00 412757                     /usr/li
b64/libfreebl3.so
7efc9fb9a000-7efc9fb9c000 r--p 00076000 fd:00 412757                     /usr/li
b64/libfreebl3.so
7efc9fb9c000-7efc9fb9d000 rw-p 00078000 fd:00 412757                     /usr/li
b64/libfreebl3.so
7efc9fb9d000-7efc9fba1000 rw-p 00000000 00:00 0 
7efc9fba1000-7efc9fba4000 r-xp 00000000 fd:00 410971                     /usr/li
b64/libdl-2.22.so
7efc9fba4000-7efc9fda3000 ---p 00003000 fd:00 410971                     /usr/li
b64/libdl-2.22.so
7efc9fda3000-7efc9fda4000 r--p 00002000 fd:00 410971                     /usr/li
b64/libdl-2.22.so
7efc9fda4000-7efc9fda5000 rw-p 00003000 fd:00 410971                     /usr/li
b64/libdl-2.22.so
7efc9fda5000-7efc9fdd4000 r-xp 00000000 fd:00 422347                     /usr/li
b64/libk5crypto.so.3.1
7efc9fdd4000-7efc9ffd4000 ---p 0002f000 fd:00 422347                     /usr/li
b64/libk5crypto.so.3.1
7efc9ffd4000-7efc9ffd6000 r--p 0002f000 fd:00 422347                     /usr/li
b64/libk5crypto.so.3.1
7efc9ffd6000-7efc9ffd7000 rw-p 00031000 fd:00 422347                     /usr/li
b64/libk5crypto.so.3.1
7efc9ffd7000-7efc9ffda000 r-xp 00000000 fd:00 421804                     /usr/li
b64/libcom_err.so.2.1
7efc9ffda000-7efca01d9000 ---p 00003000 fd:00 421804                     /usr/li
b64/libcom_err.so.2.1
7efca01d9000-7efca01da000 r--p 00002000 fd:00 421804                     /usr/li
b64/libcom_err.so.2.1
7efca01da000-7efca01db000 rw-p 00003000 fd:00 421804                     /usr/li
b64/libcom_err.so.2.1
7efca01db000-7efca02b0000 r-xp 00000000 fd:00 400999                     /usr/li
b64/libkrb5.so.3.3
7efca02b0000-7efca04af000 ---p 000d5000 fd:00 400999                     /usr/li
b64/libkrb5.so.3.3
7efca04af000-7efca04be000 r--p 000d4000 fd:00 400999                     /usr/li
b64/libkrb5.so.3.3
7efca04be000-7efca04c0000 rw-p 000e3000 fd:00 400999                     /usr/li
b64/libkrb5.so.3.3
7efca04c0000-7efca050b000 r-xp 00000000 fd:00 422100                     /usr/li
b64/libgssapi_krb5.so.2.2
7efca050b000-7efca070b000 ---p 0004b000 fd:00 422100                     /usr/li
b64/libgssapi_krb5.so.2.2
7efca070b000-7efca070d000 r--p 0004b000 fd:00 422100                     /usr/li
b64/libgssapi_krb5.so.2.2
7efca070d000-7efca070e000 rw-p 0004d000 fd:00 422100                     /usr/li
b64/libgssapi_krb5.so.2.2
7efca070e000-7efca0830000 r-xp 00000000 fd:00 437196                     /usr/li
b64/libgnutls.so.30.3.1
7efca0830000-7efca0a30000 ---p 00122000 fd:00 437196                     /usr/li
b64/libgnutls.so.30.3.1
7efca0a30000-7efca0a3d000 r--p 00122000 fd:00 437196                     /usr/li
b64/libgnutls.so.30.3.1
7efca0a3d000-7efca0a3e000 rw-p 0012f000 fd:00 437196                     /usr/li
b64/libgnutls.so.30.3.1
7efca0a3e000-7efca0a3f000 rw-p 00000000 00:00 0 
7efca0a3f000-7efca0b1a000 r-xp 00000000 fd:00 421812                     /usr/li
b64/libgcrypt.so.20.0.4
7efca0b1a000-7efca0d1a000 ---p 000db000 fd:00 421812                     /usr/li
b64/libgcrypt.so.20.0.4
7efca0d1a000-7efca0d1b000 r--p 000db000 fd:00 421812                     /usr/li
b64/libgcrypt.so.20.0.4
7efca0d1b000-7efca0d23000 rw-p 000dc000 fd:00 421812                     /usr/li
b64/libgcrypt.so.20.0.4
7efca0d23000-7efca0d24000 rw-p 00000000 00:00 0 
7efca0d24000-7efca0d3b000 r-xp 00000000 fd:00 414672                     /usr/li
b64/libresolv-2.22.so
7efca0d3b000-7efca0f3b000 ---p 00017000 fd:00 414672                     /usr/li
b64/libresolv-2.22.so
7efca0f3b000-7efca0f3c000 r--p 00017000 fd:00 414672                     /usr/li
b64/libresolv-2.22.so
7efca0f3c000-7efca0f3d000 rw-p 00018000 fd:00 414672                     /usr/li
b64/libresolv-2.22.so
7efca0f3d000-7efca0f3f000 rw-p 00000000 00:00 0 
7efca0f3f000-7efca0f71000 r-xp 00000000 fd:00 398034                     /usr/li
b64/libpng16.so.16.17.0
7efca0f71000-7efca1170000 ---p 00032000 fd:00 398034                     /usr/li
b64/libpng16.so.16.17.0
7efca1170000-7efca1171000 r--p 00031000 fd:00 398034                     /usr/li
b64/libpng16.so.16.17.0
7efca1171000-7efca1172000 rw-p 00000000 00:00 0 
7efca1172000-7efca1175000 r-xp 00000000 fd:00 465698                     /usr/li
b64/libminilzo.so.0
7efca1175000-7efca1374000 ---p 00003000 fd:00 465698                     /usr/li
b64/libminilzo.so.0
7efca1374000-7efca1375000 r--p 00002000 fd:00 465698                     /usr/li
b64/libminilzo.so.0
7efca1375000-7efca1376000 rw-p 00000000 00:00 0 
7efca1376000-7efca152d000 r-xp 00000000 fd:00 397905                     /usr/li
b64/libc-2.22.so
7efca152d000-7efca172d000 ---p 001b7000 fd:00 397905                     /usr/li
b64/libc-2.22.so
7efca172d000-7efca1731000 r--p 001b7000 fd:00 397905                     /usr/li
b64/libc-2.22.so
7efca1731000-7efca1733000 rw-p 001bb000 fd:00 397905                     /usr/li
b64/libc-2.22.so
7efca1733000-7efca1737000 rw-p 00000000 00:00 0 
7efca1737000-7efca178e000 r-xp 00000000 fd:00 425343                     /usr/li
b64/libjpeg.so.62.1.0
7efca178e000-7efca198e000 ---p 00057000 fd:00 425343                     /usr/li
b64/libjpeg.so.62.1.0
7efca198e000-7efca198f000 r--p 00057000 fd:00 425343                     /usr/li
b64/libjpeg.so.62.1.0
7efca198f000-7efca1990000 rw-p 00000000 00:00 0 
7efca1990000-7efca19a5000 r-xp 00000000 fd:00 417329                     /usr/li
b64/libz.so.1.2.8
7efca19a5000-7efca1ba4000 ---p 00015000 fd:00 417329                     /usr/li
b64/libz.so.1.2.8
7efca1ba4000-7efca1ba5000 r--p 00014000 fd:00 417329                     /usr/li
b64/libz.so.1.2.8
7efca1ba5000-7efca1ba6000 rw-p 00015000 fd:00 417329                     /usr/li
b64/libz.so.1.2.8
7efca1ba6000-7efca1bbe000 r-xp 00000000 fd:00 414532                     /usr/li
b64/libpthread-2.22.so
7efca1bbe000-7efca1dbd000 ---p 00018000 fd:00 414532                     /usr/li
b64/libpthread-2.22.so
7efca1dbd000-7efca1dbe000 r--p 00017000 fd:00 414532                     /usr/li
b64/libpthread-2.22.so
7efca1dbe000-7efca1dbf000 rw-p 00018000 fd:00 414532                     /usr/li
b64/libpthread-2.22.so
7efca1dbf000-7efca1dc3000 rw-p 00000000 00:00 0 
7efca1dc3000-7efca1dd9000 r-xp 00000000 fd:00 430646                     /usr/li
b64/libnsl-2.22.so
7efca1dd9000-7efca1fd8000 ---p 00016000 fd:00 430646                     /usr/li
b64/libnsl-2.22.so
7efca1fd8000-7efca1fd9000 r--p 00015000 fd:00 430646                     /usr/li
b64/libnsl-2.22.so
7efca1fd9000-7efca1fda000 rw-p 00016000 fd:00 430646                     /usr/li
b64/libnsl-2.22.so
7efca1fda000-7efca1fdc000 rw-p 00000000 00:00 0 
7efca1fdc000-7efca1fec000 r-xp 00000000 fd:00 394405                     /usr/li
b64/libavahi-client.so.3.2.9
7efca1fec000-7efca21eb000 ---p 00010000 fd:00 394405                     /usr/li
b64/libavahi-client.so.3.2.9
7efca21eb000-7efca21ec000 r--p 0000f000 fd:00 394405                     /usr/li
b64/libavahi-client.so.3.2.9
7efca21ec000-7efca21ed000 rw-p 00010000 fd:00 394405                     /usr/li
b64/libavahi-client.so.3.2.9
7efca21ed000-7efca21f9000 r-xp 00000000 fd:00 395439                     /usr/li
b64/libavahi-common.so.3.5.3
7efca21f9000-7efca23f8000 ---p 0000c000 fd:00 395439                     /usr/li
b64/libavahi-common.so.3.5.3
7efca23f8000-7efca23f9000 r--p 0000b000 fd:00 395439                     /usr/li
b64/libavahi-common.so.3.5.3
7efca23f9000-7efca23fa000 rw-p 0000c000 fd:00 395439                     /usr/li
b64/libavahi-common.so.3.5.3
7efca23fa000-7efca2534000 r-xp 00000000 fd:00 433392                     /usr/li
b64/libX11.so.6.3.0
7efca2534000-7efca2733000 ---p 0013a000 fd:00 433392                     /usr/li
b64/libX11.so.6.3.0
7efca2733000-7efca2736000 r--p 00139000 fd:00 433392                     /usr/li
b64/libX11.so.6.3.0
7efca2736000-7efca273a000 rw-p 0013c000 fd:00 433392                     /usr/li
b64/libX11.so.6.3.0
7efca273a000-7efca273c000 r-xp 00000000 fd:00 431915                     /usr/li
b64/libXdamage.so.1.1.0
7efca273c000-7efca293b000 ---p 00002000 fd:00 431915                     /usr/li
b64/libXdamage.so.1.1.0
7efca293b000-7efca293c000 r--p 00001000 fd:00 431915                     /usr/li
b64/libXdamage.so.1.1.0
7efca293c000-7efca293d000 rw-p 00000000 00:00 0 
7efca293d000-7efca2942000 r-xp 00000000 fd:00 431908                     /usr/li
b64/libXfixes.so.3.1.0
7efca2942000-7efca2b41000 ---p 00005000 fd:00 431908                     /usr/li
b64/libXfixes.so.3.1.0
7efca2b41000-7efca2b42000 r--p 00004000 fd:00 431908                     /usr/li
b64/libXfixes.so.3.1.0
7efca2b42000-7efca2b43000 rw-p 00005000 fd:00 431908                     /usr/li
b64/libXfixes.so.3.1.0
7efca2b43000-7efca2b4d000 r-xp 00000000 fd:00 431909                     /usr/li
b64/libXrandr.so.2.2.0
7efca2b4d000-7efca2d4c000 ---p 0000a000 fd:00 431909                     /usr/li
b64/libXrandr.so.2.2.0
7efca2d4c000-7efca2d4d000 r--p 00009000 fd:00 431909                     /usr/li
b64/libXrandr.so.2.2.0
7efca2d4d000-7efca2d4e000 rw-p 0000a000 fd:00 431909                     /usr/li
b64/libXrandr.so.2.2.0
7efca2d4e000-7efca2d50000 r-xp 00000000 fd:00 433374                     /usr/li
b64/libXinerama.so.1.0.0
7efca2d50000-7efca2f4f000 ---p 00002000 fd:00 433374                     /usr/li
b64/libXinerama.so.1.0.0
7efca2f4f000-7efca2f50000 r--p 00001000 fd:00 433374                     /usr/li
b64/libXinerama.so.1.0.0
7efca2f50000-7efca2f51000 rw-p 00002000 fd:00 433374                     /usr/li
b64/libXinerama.so.1.0.0
7efca2f51000-7efca2f62000 r-xp 00000000 fd:00 413104                     /usr/li
b64/libXext.so.6.4.0
7efca2f62000-7efca3161000 ---p 00011000 fd:00 413104                     /usr/li
b64/libXext.so.6.4.0
7efca3161000-7efca3162000 r--p 00010000 fd:00 413104                     /usr/li
b64/libXext.so.6.4.0
7efca3162000-7efca3163000 rw-p 00011000 fd:00 413104                     /usr/li
b64/libXext.so.6.4.0
7efca3163000-7efca3168000 r-xp 00000000 fd:00 431662                     /usr/li
b64/libXtst.so.6.1.0
7efca3168000-7efca3367000 ---p 00005000 fd:00 431662                     /usr/li
b64/libXtst.so.6.1.0
7efca3367000-7efca3368000 r--p 00004000 fd:00 431662                     /usr/li
b64/libXtst.so.6.1.0
7efca3368000-7efca3369000 rw-p 00005000 fd:00 431662                     /usr/li
b64/libXtst.so.6.1.0
7efca3369000-7efca3370000 r-xp 00000000 fd:00 409772                     /usr/li
b64/libcrypt-2.22.so
7efca3370000-7efca356f000 ---p 00007000 fd:00 409772                     /usr/li
b64/libcrypt-2.22.so
7efca356f000-7efca3570000 r--p 00006000 fd:00 409772                     /usr/li
b64/libcrypt-2.22.so
7efca3570000-7efca3571000 rw-p 00007000 fd:00 409772                     /usr/li
b64/libcrypt-2.22.so
7efca3571000-7efca359f000 rw-p 00000000 00:00 0 
7efca359f000-7efca37c0000 r-xp 00000000 fd:00 415514                     /usr/li
b64/libcrypto.so.1.0.2d
7efca37c0000-7efca39c0000 ---p 00221000 fd:00 415514                     /usr/li
b64/libcrypto.so.1.0.2d
7efca39c0000-7efca39db000 r--p 00221000 fd:00 415514                     /usr/li
b64/libcrypto.so.1.0.2d
7efca39db000-7efca39e8000 rw-p 0023c000 fd:00 415514                     /usr/li
b64/libcrypto.so.1.0.2d
7efca39e8000-7efca39ec000 rw-p 00000000 00:00 0 
7efca39ec000-7efca3a59000 r-xp 00000000 fd:00 430738                     /usr/li
b64/libssl.so.1.0.2d
7efca3a59000-7efca3c59000 ---p 0006d000 fd:00 430738                     /usr/li
b64/libssl.so.1.0.2d
7efca3c59000-7efca3c5e000 r--p 0006d000 fd:00 430738                     /usr/li
b64/libssl.so.1.0.2d
7efca3c5e000-7efca3c65000 rw-p 00072000 fd:00 430738                     /usr/li
b64/libssl.so.1.0.2d
7efca3c65000-7efca3c81000 r-xp 00000000 fd:00 396272                     /usr/li
b64/libvncclient.so.0.0.0
7efca3c81000-7efca3e81000 ---p 0001c000 fd:00 396272                     /usr/li
b64/libvncclient.so.0.0.0
7efca3e81000-7efca3e82000 r--p 0001c000 fd:00 396272                     /usr/li
b64/libvncclient.so.0.0.0
7efca3e82000-7efca3e83000 rw-p 0001d000 fd:00 396272                     /usr/li
b64/libvncclient.so.0.0.0
7efca3e83000-7efca3ec6000 r-xp 00000000 fd:00 397466                     /usr/li
b64/libvncserver.so.0.0.0
7efca3ec6000-7efca40c5000 ---p 00043000 fd:00 397466                     /usr/li
b64/libvncserver.so.0.0.0
7efca40c5000-7efca40c7000 r--p 00042000 fd:00 397466                     /usr/li
b64/libvncserver.so.0.0.0
7efca40c7000-7efca40c8000 rw-p 00044000 fd:00 397466                     /usr/li
b64/libvncserver.so.0.0.0
7efca40c8000-7efca40dc000 rw-p 00000000 00:00 0 
7efca40dc000-7efca40fd000 r-xp 00000000 fd:00 397849                     /usr/li
b64/ld-2.22.so
7efca410a000-7efca4123000 rw-s 00000000 00:05 33783849                   /SYSV00
000000 (deleted)
7efca4123000-7efca413b000 rw-s 00000000 00:05 33751080                   /SYSV00
000000 (deleted)
7efca413b000-7efca4152000 rw-s 00000000 00:05 33718311                   /SYSV00
000000 (deleted)
7efca4152000-7efca4168000 rw-s 00000000 00:05 33685542                   /SYSV00
000000 (deleted)
7efca4168000-7efca417d000 rw-s 00000000 00:05 33652773                   /SYSV00
000000 (deleted)
7efca417d000-7efca4191000 rw-s 00000000 00:05 33620004                   /SYSV00
000000 (deleted)
7efca4191000-7efca41a4000 rw-s 00000000 00:05 33587235                   /SYSV00
000000 (deleted)
7efca41a4000-7efca41b6000 rw-s 00000000 00:05 33554466                   /SYSV00
000000 (deleted)
7efca41b6000-7efca41c7000 rw-s 00000000 00:05 33521697                   /SYSV00
000000 (deleted)
7efca41c7000-7efca41d7000 rw-s 00000000 00:05 33488928                   /SYSV00
000000 (deleted)
7efca41d7000-7efca41e6000 rw-s 00000000 00:05 33456159                   /SYSV00
000000 (deleted)
7efca41e6000-7efca41f4000 rw-s 00000000 00:05 33423390                   /SYSV00
000000 (deleted)
7efca41f4000-7efca4201000 rw-s 00000000 00:05 33390621                   /SYSV00
000000 (deleted)
7efca4201000-7efca420d000 rw-s 00000000 00:05 33357852                   /SYSV00
000000 (deleted)
7efca420d000-7efca4218000 rw-s 00000000 00:05 33325083                   /SYSV00
000000 (deleted)
7efca4218000-7efca4222000 rw-s 00000000 00:05 33292314                   /SYSV00
000000 (deleted)
7efca4222000-7efca422b000 rw-s 00000000 00:05 33259545                   /SYSV00
000000 (deleted)
7efca422b000-7efca4237000 rw-p 00000000 00:00 0 
7efca4237000-7efca42ba000 r-xp 00000000 fd:00 418365                     /usr/li
b64/libsystemd.so.0.9.0
7efca42ba000-7efca42bd000 r--p 00082000 fd:00 418365                     /usr/li
b64/libsystemd.so.0.9.0
7efca42bd000-7efca42be000 rw-p 00085000 fd:00 418365                     /usr/li
b64/libsystemd.so.0.9.0
7efca42be000-7efca42cf000 rw-p 00000000 00:00 0 
7efca42d2000-7efca42d3000 rw-p 00000000 00:00 0 
7efca42d3000-7efca42d4000 rw-p 00000000 00:00 0 
7efca42d4000-7efca42dc000 rw-s 00000000 00:05 33226776                   /SYSV00
000000 (deleted)
7efca42dc000-7efca42e3000 rw-s 00000000 00:05 33194007                   /SYSV00
000000 (deleted)
7efca42e3000-7efca42e9000 rw-s 00000000 00:05 33161238                   /SYSV00
000000 (deleted)
7efca42e9000-7efca42ee000 rw-s 00000000 00:05 33128469                   /SYSV00
000000 (deleted)
7efca42ee000-7efca42f2000 rw-s 00000000 00:05 33095693                   /SYSV00
000000 (deleted)
7efca42f2000-7efca42f5000 rw-s 00000000 00:05 33062924                   /SYSV00
000000 (deleted)
7efca42f5000-7efca42f7000 rw-s 00000000 00:05 33030155                   /SYSV00
000000 (deleted)
7efca42f7000-7efca42f8000 rw-s 00000000 00:05 32997385                   /SYSV00
000000 (deleted)
7efca42f8000-7efca42fb000 rw-s 00000000 00:05 32931847                   /SYSV00
000000 (deleted)
7efca42fb000-7efca42fc000 rw-p 00000000 00:00 0 
7efca42fc000-7efca42fd000 r--p 00020000 fd:00 397849                     /usr/li
b64/ld-2.22.so
7efca42fd000-7efca42fe000 rw-p 00021000 fd:00 397849                     /usr/li
b64/ld-2.22.so
7efca42fe000-7efca42ff000 rw-p 00000000 00:00 0 
7ffcb54c0000-7ffcb54e1000 rw-p 00000000 00:00 0                          [stack]
7ffcb55d9000-7ffcb55db000 r--p 00000000 00:00 0                          [vvar]
7ffcb55db000-7ffcb55dd000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsysca
ll]
caught signal: 6
05/11/2015 10:41:10 deleted 90 tile_row polling images.
05/11/2015 10:41:10 Restored X server key autorepeat to: 1
Comment 1 Sergey Bobrov 2015-11-19 03:11:26 EST
Same problems:

19/11/2015 10:09:34 Got connection from client 192.168.254.254
19/11/2015 10:09:34   other clients:
19/11/2015 10:09:34 Normal socket connection
19/11/2015 10:09:34 Disabled X server key autorepeat.
19/11/2015 10:09:34   to force back on run: 'xset r on' (3 times)
19/11/2015 10:09:34 incr accepted_client=1 for 192.168.254.254:39929  sock=12
19/11/2015 10:09:34 Client Protocol Version 3.8
19/11/2015 10:09:34 Protocol version sent 3.8, using 3.8
19/11/2015 10:09:34 rfbProcessClientSecurityType: executing handler for type 2
19/11/2015 10:09:34 created   xdamage object: 0x1000036
19/11/2015 10:09:36 rfbProcessClientNormalMessage: ignoring unsupported encoding type Enc(0x00000016)
19/11/2015 10:09:36 rfbProcessClientNormalMessage: ignoring unsupported encoding type Enc(0x00000015)
19/11/2015 10:09:36 rfbProcessClientNormalMessage: ignoring unsupported encoding type Enc(0x0000000F)
19/11/2015 10:09:36 rfbProcessClientNormalMessage: ignoring unsupported encoding type Enc(0xFFFFFEC9)
19/11/2015 10:09:36 Enabling full-color cursor updates for client 192.168.254.254
19/11/2015 10:09:36 Enabling NewFBSize protocol extension for client 192.168.254.254
19/11/2015 10:09:36 Using ZRLE encoding for client 192.168.254.254
19/11/2015 10:09:36 client useCopyRect: 192.168.254.254 -1
19/11/2015 10:09:36 client_set_net: 192.168.254.254  0.0054
19/11/2015 10:09:36 Pixel format for client 192.168.254.254:
19/11/2015 10:09:36   8 bpp, depth 8
19/11/2015 10:09:36   uses a colour map (not true colour).
19/11/2015 10:09:37 copy_tiles: allocating first_line at size 51
19/11/2015 10:09:38 client 1 network rate 161.3 KB/sec (1622.4 eff KB/sec)
19/11/2015 10:09:38 client 1 latency:  3.9 ms
19/11/2015 10:09:38 dt1: 0.1173, dt2: 0.2501 dt3: 0.0039 bytes: 58946
19/11/2015 10:09:38 link_rate: LR_UNKNOWN - 3 ms, 161 KB/s
*** stack smashing detected ***: /usr/bin/x11vnc terminated
======= Backtrace: =========
/lib64/libc.so.6(+0x77e15)[0x7fa62b983e15]
/lib64/libc.so.6(__fortify_fail+0x37)[0x7fa62ba20607]
/lib64/libc.so.6(__fortify_fail+0x0)[0x7fa62ba205d0]
/usr/bin/x11vnc(+0xb7c54)[0x55bab9506c54]
/usr/bin/x11vnc(+0xb815b)[0x55bab950715b]
/lib64/libXtst.so.6(+0x1a4e)[0x7fa62d6faa4e]
/lib64/libXtst.so.6(+0x1edd)[0x7fa62d6faedd]
/lib64/libX11.so.6(+0x422ad)[0x7fa62c9d22ad]
/lib64/libX11.so.6(_XEventsQueued+0x55)[0x7fa62c9d2ca5]
/lib64/libX11.so.6(XPending+0x57)[0x7fa62c9c46a7]
/usr/bin/x11vnc(+0x96990)[0x55bab94e5990]
/usr/bin/x11vnc(+0xa1665)[0x55bab94f0665]
/usr/bin/x11vnc(+0x6a10b)[0x55bab94b910b]
/usr/bin/x11vnc(+0x119ff)[0x55bab94609ff]
/lib64/libc.so.6(__libc_start_main+0xf0)[0x7fa62b92c580]
/usr/bin/x11vnc(+0x1c8a9)[0x55bab946b8a9]
======= Memory map: ========
55bab944f000-55bab959f000 r-xp 00000000 fd:00 1462844                    /usr/bin/x11vnc
55bab979e000-55bab97a0000 r--p 0014f000 fd:00 1462844                    /usr/bin/x11vnc
55bab97a0000-55bab97e5000 rw-p 00151000 fd:00 1462844                    /usr/bin/x11vnc
55bab97e5000-55bab9a26000 rw-p 00000000 00:00 0 
55bab9cf9000-55baba21e000 rw-p 00000000 00:00 0                          [heap]
7fa62512d000-7fa625132000 r-xp 00000000 fd:00 1442937                    /usr/lib64/libnss_dns-2.22.so
7fa625132000-7fa625332000 ---p 00005000 fd:00 1442937                    /usr/lib64/libnss_dns-2.22.so
7fa625332000-7fa625333000 r--p 00005000 fd:00 1442937                    /usr/lib64/libnss_dns-2.22.so
7fa625333000-7fa625334000 rw-p 00006000 fd:00 1442937                    /usr/lib64/libnss_dns-2.22.so
7fa625334000-7fa625336000 r-xp 00000000 fd:00 1457135                    /usr/lib64/libnss_mdns4_minimal.so.2
7fa625336000-7fa625536000 ---p 00002000 fd:00 1457135                    /usr/lib64/libnss_mdns4_minimal.so.2
7fa625536000-7fa625537000 r--p 00002000 fd:00 1457135                    /usr/lib64/libnss_mdns4_minimal.so.2
7fa625537000-7fa625538000 rw-p 00000000 00:00 0 
7fa625538000-7fa625543000 r-xp 00000000 fd:00 1442939                    /usr/lib64/libnss_files-2.22.so
7fa625543000-7fa625742000 ---p 0000b000 fd:00 1442939                    /usr/lib64/libnss_files-2.22.so
7fa625742000-7fa625743000 r--p 0000a000 fd:00 1442939                    /usr/lib64/libnss_files-2.22.so
7fa625743000-7fa625744000 rw-p 0000b000 fd:00 1442939                    /usr/lib64/libnss_files-2.22.so
7fa625744000-7fa62574a000 rw-p 00000000 00:00 0 
7fa62576b000-7fa62579d000 rw-s 00000000 00:05 36864107                   /SYSV00000000 (deleted)
7fa62579d000-7fa6257ce000 rw-s 00000000 00:05 36831338                   /SYSV00000000 (deleted)
7fa6257ce000-7fa6257fe000 rw-s 00000000 00:05 36798569                   /SYSV00000000 (deleted)
7fa6257fe000-7fa62582d000 rw-s 00000000 00:05 36765800                   /SYSV00000000 (deleted)
7fa62582d000-7fa62585b000 rw-s 00000000 00:05 36733031                   /SYSV00000000 (deleted)
7fa62585b000-7fa625888000 rw-s 00000000 00:05 36700262                   /SYSV00000000 (deleted)
7fa625888000-7fa6258b4000 rw-s 00000000 00:05 36667493                   /SYSV00000000 (deleted)
7fa6258b4000-7fa6258df000 rw-s 00000000 00:05 36634724                   /SYSV00000000 (deleted)
7fa6258df000-7fa625909000 rw-s 00000000 00:05 36601955                   /SYSV00000000 (deleted)
7fa625909000-7fa625932000 rw-s 00000000 00:05 36569186                   /SYSV00000000 (deleted)
7fa625932000-7fa62595a000 rw-s 00000000 00:05 36536417                   /SYSV00000000 (deleted)
7fa62595a000-7fa625981000 rw-s 00000000 00:05 36503648                   /SYSV00000000 (deleted)
7fa625981000-7fa6259a7000 rw-s 00000000 00:05 36470879                   /SYSV00000000 (deleted)
7fa6259a7000-7fa6259cc000 rw-s 00000000 00:05 36438110                   /SYSV00000000 (deleted)
7fa6259cc000-7fa6259f0000 rw-s 00000000 00:05 36405341                   /SYSV00000000 (deleted)
7fa6259f0000-7fa625a13000 rw-s 00000000 00:05 36372572                   /SYSV00000000 (deleted)
7fa625a13000-7fa625a35000 rw-s 00000000 00:05 36339803                   /SYSV00000000 (deleted)
7fa625a35000-7fa625a56000 rw-s 00000000 00:05 36307034                   /SYSV00000000 (deleted)
7fa625a56000-7fa625a76000 rw-s 00000000 00:05 36274265                   /SYSV00000000 (deleted)
7fa625a76000-7fa625a95000 rw-s 00000000 00:05 36241496                   /SYSV00000000 (deleted)
7fa625a95000-7fa625ab3000 rw-s 00000000 00:05 36208727                   /SYSV00000000 (deleted)
7fa625ab3000-7fa625ad0000 rw-s 00000000 00:05 36175958                   /SYSV00000000 (deleted)
7fa625ad0000-7fa625aec000 rw-s 00000000 00:05 36143189                   /SYSV00000000 (deleted)
7fa625aec000-7fa625b07000 rw-s 00000000 00:05 36110420                   /SYSV00000000 (deleted)
7fa625b07000-7fa625b21000 rw-s 00000000 00:05 36077651                   /SYSV00000000 (deleted)
7fa625b21000-7fa6260a0000 rw-p 00000000 00:00 0 
7fa6260a0000-7fa62661f000 rw-s 00000000 00:05 35225657                   /SYSV00000000 (deleted)
7fa62661f000-7fa626623000 r-xp 00000000 fd:00 1443825                    /usr/lib64/libattr.so.1.1.0
7fa626623000-7fa626823000 ---p 00004000 fd:00 1443825                    /usr/lib64/libattr.so.1.1.0
7fa626823000-7fa626824000 r--p 00004000 fd:00 1443825                    /usr/lib64/libattr.so.1.1.0
7fa626824000-7fa626825000 rw-p 00000000 00:00 0 
7fa626825000-7fa626834000 r-xp 00000000 fd:00 1443410                    /usr/lib64/libbz2.so.1.0.6
7fa626834000-7fa626a33000 ---p 0000f000 fd:00 1443410                    /usr/lib64/libbz2.so.1.0.6
7fa626a33000-7fa626a34000 r--p 0000e000 fd:00 1443410                    /usr/lib64/libbz2.so.1.0.6
7fa626a34000-7fa626a35000 rw-p 0000f000 fd:00 1443410                    /usr/lib64/libbz2.so.1.0.6
7fa626a35000-7fa626a4a000 r-xp 00000000 fd:00 1443802                    /usr/lib64/libelf-0.163.so
7fa626a4a000-7fa626c49000 ---p 00015000 fd:00 1443802                    /usr/lib64/libelf-0.163.so
7fa626c49000-7fa626c4a000 r--p 00014000 fd:00 1443802                    /usr/lib64/libelf-0.163.so
7fa626c4a000-7fa626c4b000 rw-p 00015000 fd:00 1443802                    /usr/lib64/libelf-0.163.so
7fa626c4b000-7fa626cb9000 r-xp 00000000 fd:00 1449942                    /usr/lib64/libpcre.so.1.2.5
7fa626cb9000-7fa626eb9000 ---p 0006e000 fd:00 1449942                    /usr/lib64/libpcre.so.1.2.5
7fa626eb9000-7fa626eba000 r--p 0006e000 fd:00 1449942                    /usr/lib64/libpcre.so.1.2.5
7fa626eba000-7fa626ebb000 rw-p 0006f000 fd:00 1449942                    /usr/lib64/libpcre.so.1.2.5
7fa626ebb000-7fa626ed1000 r-xp 00000000 fd:00 1441811                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fa626ed1000-7fa6270d0000 ---p 00016000 fd:00 1441811                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fa6270d0000-7fa6270d1000 r--p 00015000 fd:00 1441811                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fa6270d1000-7fa6270d2000 rw-p 00016000 fd:00 1441811                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fa6270d2000-7fa6270d6000 r-xp 00000000 fd:00 1443827                    /usr/lib64/libcap.so.2.24
7fa6270d6000-7fa6272d5000 ---p 00004000 fd:00 1443827                    /usr/lib64/libcap.so.2.24
7fa6272d5000-7fa6272d6000 r--p 00003000 fd:00 1443827                    /usr/lib64/libcap.so.2.24
7fa6272d6000-7fa6272d7000 rw-p 00004000 fd:00 1443827                    /usr/lib64/libcap.so.2.24
7fa6272d7000-7fa62731d000 r-xp 00000000 fd:00 1448292                    /usr/lib64/libdw-0.163.so
7fa62731d000-7fa62751d000 ---p 00046000 fd:00 1448292                    /usr/lib64/libdw-0.163.so
7fa62751d000-7fa62751f000 r--p 00046000 fd:00 1448292                    /usr/lib64/libdw-0.163.so
7fa62751f000-7fa627520000 rw-p 00048000 fd:00 1448292                    /usr/lib64/libdw-0.163.so
7fa627520000-7fa627545000 r-xp 00000000 fd:00 1443379                    /usr/lib64/liblzma.so.5.2.1
7fa627545000-7fa627744000 ---p 00025000 fd:00 1443379                    /usr/lib64/liblzma.so.5.2.1
7fa627744000-7fa627745000 r--p 00024000 fd:00 1443379                    /usr/lib64/liblzma.so.5.2.1
7fa627745000-7fa627746000 rw-p 00000000 00:00 0 
7fa627746000-7fa62774d000 r-xp 00000000 fd:00 1442951                    /usr/lib64/librt-2.22.so
7fa62774d000-7fa62794c000 ---p 00007000 fd:00 1442951                    /usr/lib64/librt-2.22.so
7fa62794c000-7fa62794d000 r--p 00006000 fd:00 1442951                    /usr/lib64/librt-2.22.so
7fa62794d000-7fa62794e000 rw-p 00007000 fd:00 1442951                    /usr/lib64/librt-2.22.so
7fa62794e000-7fa62796d000 r-xp 00000000 fd:00 1443353                    /usr/lib64/libselinux.so.1
7fa62796d000-7fa627b6d000 ---p 0001f000 fd:00 1443353                    /usr/lib64/libselinux.so.1
7fa627b6d000-7fa627b6e000 r--p 0001f000 fd:00 1443353                    /usr/lib64/libselinux.so.1
7fa627b6e000-7fa627b6f000 rw-p 00020000 fd:00 1443353                    /usr/lib64/libselinux.so.1
7fa627b6f000-7fa627b71000 rw-p 00000000 00:00 0 
7fa627b71000-7fa627b78000 r-xp 00000000 fd:00 1443769                    /usr/lib64/libffi.so.6.0.2
7fa627b78000-7fa627d77000 ---p 00007000 fd:00 1443769                    /usr/lib64/libffi.so.6.0.2
7fa627d77000-7fa627d78000 r--p 00006000 fd:00 1443769                    /usr/lib64/libffi.so.6.0.2
7fa627d78000-7fa627d79000 rw-p 00007000 fd:00 1443769                    /usr/lib64/libffi.so.6.0.2
7fa627d79000-7fa627d7b000 r-xp 00000000 fd:00 1443959                    /usr/lib64/libXau.so.6.0.0
7fa627d7b000-7fa627f7b000 ---p 00002000 fd:00 1443959                    /usr/lib64/libXau.so.6.0.0
7fa627f7b000-7fa627f7c000 r--p 00002000 fd:00 1443959                    /usr/lib64/libXau.so.6.0.0
7fa627f7c000-7fa627f7d000 rw-p 00000000 00:00 0 
7fa627f7d000-7fa627f80000 r-xp 00000000 fd:00 1443809                    /usr/lib64/libkeyutils.so.1.5
7fa627f80000-7fa62817f000 ---p 00003000 fd:00 1443809                    /usr/lib64/libkeyutils.so.1.5
7fa62817f000-7fa628180000 r--p 00002000 fd:00 1443809                    /usr/lib64/libkeyutils.so.1.5
7fa628180000-7fa628181000 rw-p 00000000 00:00 0 
7fa628181000-7fa62818e000 r-xp 00000000 fd:00 1462272                    /usr/lib64/libkrb5support.so.0.1
7fa62818e000-7fa62838e000 ---p 0000d000 fd:00 1462272                    /usr/lib64/libkrb5support.so.0.1
7fa62838e000-7fa62838f000 r--p 0000d000 fd:00 1462272                    /usr/lib64/libkrb5support.so.0.1
7fa62838f000-7fa628390000 rw-p 0000e000 fd:00 1462272                    /usr/lib64/libkrb5support.so.0.1
7fa628390000-7fa628407000 r-xp 00000000 fd:00 1443856                    /usr/lib64/libgmp.so.10.2.0
7fa628407000-7fa628606000 ---p 00077000 fd:00 1443856                    /usr/lib64/libgmp.so.10.2.0
7fa628606000-7fa628607000 r--p 00076000 fd:00 1443856                    /usr/lib64/libgmp.so.10.2.0
7fa628607000-7fa628608000 rw-p 00077000 fd:00 1443856                    /usr/lib64/libgmp.so.10.2.0
7fa628608000-7fa628632000 r-xp 00000000 fd:00 1443881                    /usr/lib64/libhogweed.so.4.1
7fa628632000-7fa628832000 ---p 0002a000 fd:00 1443881                    /usr/lib64/libhogweed.so.4.1
7fa628832000-7fa628833000 r--p 0002a000 fd:00 1443881                    /usr/lib64/libhogweed.so.4.1
7fa628833000-7fa628834000 rw-p 00000000 00:00 0 
7fa628834000-7fa628869000 r-xp 00000000 fd:00 1458367                    /usr/lib64/libnettle.so.6.1
7fa628869000-7fa628a68000 ---p 00035000 fd:00 1458367                    /usr/lib64/libnettle.so.6.1
7fa628a68000-7fa628a6a000 r--p 00034000 fd:00 1458367                    /usr/lib64/libnettle.so.6.1
7fa628a6a000-7fa628a6b000 rw-p 00000000 00:00 0 
7fa628a6b000-7fa628a7c000 r-xp 00000000 fd:00 1444211                    /usr/lib64/libtasn1.so.6.4.2
7fa628a7c000-7fa628c7c000 ---p 00011000 fd:00 1444211                    /usr/lib64/libtasn1.so.6.4.2
7fa628c7c000-7fa628c7d000 r--p 00011000 fd:00 1444211                    /usr/lib64/libtasn1.so.6.4.2
7fa628c7d000-7fa628c7e000 rw-p 00012000 fd:00 1444211                    /usr/lib64/libtasn1.so.6.4.2
7fa628c7e000-7fa628cb0000 r-xp 00000000 fd:00 1443785                    /usr/lib64/libidn.so.11.6.15
7fa628cb0000-7fa628eb0000 ---p 00032000 fd:00 1443785                    /usr/lib64/libidn.so.11.6.15
7fa628eb0000-7fa628eb1000 r--p 00032000 fd:00 1443785                    /usr/lib64/libidn.so.11.6.15
7fa628eb1000-7fa628eb2000 rw-p 00033000 fd:00 1443785                    /usr/lib64/libidn.so.11.6.15
7fa628eb2000-7fa628f0c000 r-xp 00000000 fd:00 1443774                    /usr/lib64/libp11-kit.so.0.1.0
7fa628f0c000-7fa62910c000 ---p 0005a000 fd:00 1443774                    /usr/lib64/libp11-kit.so.0.1.0
7fa62910c000-7fa629116000 r--p 0005a000 fd:00 1443774                    /usr/lib64/libp11-kit.so.0.1.0
7fa629116000-7fa629118000 rw-p 00064000 fd:00 1443774                    /usr/lib64/libp11-kit.so.0.1.0
7fa629118000-7fa62912a000 r-xp 00000000 fd:00 1443415                    /usr/lib64/libgpg-error.so.0.16.0
7fa62912a000-7fa629329000 ---p 00012000 fd:00 1443415                    /usr/lib64/libgpg-error.so.0.16.0
7fa629329000-7fa62932a000 r--p 00011000 fd:00 1443415                    /usr/lib64/libgpg-error.so.0.16.0
7fa62932a000-7fa62932b000 rw-p 00012000 fd:00 1443415                    /usr/lib64/libgpg-error.so.0.16.0
7fa62932b000-7fa62942c000 r-xp 00000000 fd:00 1442927                    /usr/lib64/libm-2.22.so
7fa62942c000-7fa62962b000 ---p 00101000 fd:00 1442927                    /usr/lib64/libm-2.22.so
7fa62962b000-7fa62962c000 r--p 00100000 fd:00 1442927                    /usr/lib64/libm-2.22.so
7fa62962c000-7fa62962d000 rw-p 00101000 fd:00 1442927                    /usr/lib64/libm-2.22.so
7fa62962d000-7fa62967b000 r-xp 00000000 fd:00 1444665                    /usr/lib64/libdbus-1.so.3.14.4
7fa62967b000-7fa62987a000 ---p 0004e000 fd:00 1444665                    /usr/lib64/libdbus-1.so.3.14.4
7fa62987a000-7fa62987c000 r--p 0004d000 fd:00 1444665                    /usr/lib64/libdbus-1.so.3.14.4
7fa62987c000-7fa62987d000 rw-p 0004f000 fd:00 1444665                    /usr/lib64/libdbus-1.so.3.14.4
7fa62987d000-7fa62989e000 r-xp 00000000 fd:00 1444009                    /usr/lib64/libxcb.so.1.1.0
7fa62989e000-7fa629a9d000 ---p 00021000 fd:00 1444009                    /usr/lib64/libxcb.so.1.1.0
7fa629a9d000-7fa629a9e000 r--p 00020000 fd:00 1444009                    /usr/lib64/libxcb.so.1.1.0
7fa629a9e000-7fa629a9f000 rw-p 00021000 fd:00 1444009                    /usr/lib64/libxcb.so.1.1.0
7fa629a9f000-7fa629aa8000 r-xp 00000000 fd:00 1444027                    /usr/lib64/libXrender.so.1.3.0
7fa629aa8000-7fa629ca8000 ---p 00009000 fd:00 1444027                    /usr/lib64/libXrender.so.1.3.0
7fa629ca8000-7fa629ca9000 r--p 00009000 fd:00 1444027                    /usr/lib64/libXrender.so.1.3.0
7fa629ca9000-7fa629caa000 rw-p 0000a000 fd:00 1444027                    /usr/lib64/libXrender.so.1.3.0
7fa629caa000-7fa629cb9000 r-xp 00000000 fd:00 1444019                    /usr/lib64/libXi.so.6.1.0
7fa629cb9000-7fa629eb8000 ---p 0000f000 fd:00 1444019                    /usr/lib64/libXi.so.6.1.0
7fa629eb8000-7fa629eb9000 r--p 0000e000 fd:00 1444019                    /usr/lib64/libXi.so.6.1.0
7fa629eb9000-7fa629eba000 rw-p 0000f000 fd:00 1444019                    /usr/lib64/libXi.so.6.1.0
7fa629eba000-7fa629f31000 r-xp 00000000 fd:00 1442911                    /usr/lib64/libfreebl3.so
7fa629f31000-7fa62a130000 ---p 00077000 fd:00 1442911                    /usr/lib64/libfreebl3.so
7fa62a130000-7fa62a132000 r--p 00076000 fd:00 1442911                    /usr/lib64/libfreebl3.so
7fa62a132000-7fa62a133000 rw-p 00078000 fd:00 1442911                    /usr/lib64/libfreebl3.so
7fa62a133000-7fa62a137000 rw-p 00000000 00:00 0 
7fa62a137000-7fa62a13a000 r-xp 00000000 fd:00 1442925                    /usr/lib64/libdl-2.22.so
7fa62a13a000-7fa62a339000 ---p 00003000 fd:00 1442925                    /usr/lib64/libdl-2.22.so
7fa62a339000-7fa62a33a000 r--p 00002000 fd:00 1442925                    /usr/lib64/libdl-2.22.so
7fa62a33a000-7fa62a33b000 rw-p 00003000 fd:00 1442925                    /usr/lib64/libdl-2.22.so
7fa62a33b000-7fa62a36a000 r-xp 00000000 fd:00 1458602                    /usr/lib64/libk5crypto.so.3.1
7fa62a36a000-7fa62a56a000 ---p 0002f000 fd:00 1458602                    /usr/lib64/libk5crypto.so.3.1
7fa62a56a000-7fa62a56c000 r--p 0002f000 fd:00 1458602                    /usr/lib64/libk5crypto.so.3.1
7fa62a56c000-7fa62a56d000 rw-p 00031000 fd:00 1458602                    /usr/lib64/libk5crypto.so.3.1
7fa62a56d000-7fa62a570000 r-xp 00000000 fd:00 1443358                    /usr/lib64/libcom_err.so.2.1
7fa62a570000-7fa62a76f000 ---p 00003000 fd:00 1443358                    /usr/lib64/libcom_err.so.2.1
7fa62a76f000-7fa62a770000 r--p 00002000 fd:00 1443358                    /usr/lib64/libcom_err.so.2.1
7fa62a770000-7fa62a771000 rw-p 00003000 fd:00 1443358                    /usr/lib64/libcom_err.so.2.1
7fa62a771000-7fa62a846000 r-xp 00000000 fd:00 1444737                    /usr/lib64/libkrb5.so.3.3
7fa62a846000-7fa62aa45000 ---p 000d5000 fd:00 1444737                    /usr/lib64/libkrb5.so.3.3
7fa62aa45000-7fa62aa54000 r--p 000d4000 fd:00 1444737                    /usr/lib64/libkrb5.so.3.3
7fa62aa54000-7fa62aa56000 rw-p 000e3000 fd:00 1444737                    /usr/lib64/libkrb5.so.3.3
7fa62aa56000-7fa62aaa1000 r-xp 00000000 fd:00 1454946                    /usr/lib64/libgssapi_krb5.so.2.2
7fa62aaa1000-7fa62aca1000 ---p 0004b000 fd:00 1454946                    /usr/lib64/libgssapi_krb5.so.2.2
7fa62aca1000-7fa62aca3000 r--p 0004b000 fd:00 1454946                    /usr/lib64/libgssapi_krb5.so.2.2
7fa62aca3000-7fa62aca4000 rw-p 0004d000 fd:00 1454946                    /usr/lib64/libgssapi_krb5.so.2.2
7fa62aca4000-7fa62adc8000 r-xp 00000000 fd:00 1444983                    /usr/lib64/libgnutls.so.30.4.0
7fa62adc8000-7fa62afc7000 ---p 00124000 fd:00 1444983                    /usr/lib64/libgnutls.so.30.4.0
7fa62afc7000-7fa62afd3000 r--p 00123000 fd:00 1444983                    /usr/lib64/libgnutls.so.30.4.0
7fa62afd3000-7fa62afd4000 rw-p 0012f000 fd:00 1444983                    /usr/lib64/libgnutls.so.30.4.0
7fa62afd4000-7fa62afd5000 rw-p 00000000 00:00 0 
7fa62afd5000-7fa62b0b0000 r-xp 00000000 fd:00 1443423                    /usr/lib64/libgcrypt.so.20.0.4
7fa62b0b0000-7fa62b2b0000 ---p 000db000 fd:00 1443423                    /usr/lib64/libgcrypt.so.20.0.4
7fa62b2b0000-7fa62b2b1000 r--p 000db000 fd:00 1443423                    /usr/lib64/libgcrypt.so.20.0.4
7fa62b2b1000-7fa62b2b9000 rw-p 000dc000 fd:00 1443423                    /usr/lib64/libgcrypt.so.20.0.4
7fa62b2b9000-7fa62b2ba000 rw-p 00000000 00:00 0 
7fa62b2ba000-7fa62b2d1000 r-xp 00000000 fd:00 1442949                    /usr/lib64/libresolv-2.22.so
7fa62b2d1000-7fa62b4d1000 ---p 00017000 fd:00 1442949                    /usr/lib64/libresolv-2.22.so
7fa62b4d1000-7fa62b4d2000 r--p 00017000 fd:00 1442949                    /usr/lib64/libresolv-2.22.so
7fa62b4d2000-7fa62b4d3000 rw-p 00018000 fd:00 1442949                    /usr/lib64/libresolv-2.22.so
7fa62b4d3000-7fa62b4d5000 rw-p 00000000 00:00 0 
7fa62b4d5000-7fa62b507000 r-xp 00000000 fd:00 1443392                    /usr/lib64/libpng16.so.16.17.0
7fa62b507000-7fa62b706000 ---p 00032000 fd:00 1443392                    /usr/lib64/libpng16.so.16.17.0
7fa62b706000-7fa62b707000 r--p 00031000 fd:00 1443392                    /usr/lib64/libpng16.so.16.17.0
7fa62b707000-7fa62b708000 rw-p 00000000 00:00 0 
7fa62b708000-7fa62b70b000 r-xp 00000000 fd:00 1462810                    /usr/lib64/libminilzo.so.0
7fa62b70b000-7fa62b90a000 ---p 00003000 fd:00 1462810                    /usr/lib64/libminilzo.so.0
7fa62b90a000-7fa62b90b000 r--p 00002000 fd:00 1462810                    /usr/lib64/libminilzo.so.0
7fa62b90b000-7fa62b90c000 rw-p 00000000 00:00 0 
7fa62b90c000-7fa62bac3000 r-xp 00000000 fd:00 1442919                    /usr/lib64/libc-2.22.so
7fa62bac3000-7fa62bcc3000 ---p 001b7000 fd:00 1442919                    /usr/lib64/libc-2.22.so
7fa62bcc3000-7fa62bcc7000 r--p 001b7000 fd:00 1442919                    /usr/lib64/libc-2.22.so
7fa62bcc7000-7fa62bcc9000 rw-p 001bb000 fd:00 1442919                    /usr/lib64/libc-2.22.so
7fa62bcc9000-7fa62bccd000 rw-p 00000000 00:00 0 
7fa62bccd000-7fa62bd24000 r-xp 00000000 fd:00 1443364                    /usr/lib64/libjpeg.so.62.1.0
7fa62bd24000-7fa62bf24000 ---p 00057000 fd:00 1443364                    /usr/lib64/libjpeg.so.62.1.0
7fa62bf24000-7fa62bf25000 r--p 00057000 fd:00 1443364                    /usr/lib64/libjpeg.so.62.1.0
7fa62bf25000-7fa62bf26000 rw-p 00000000 00:00 0 
7fa62bf26000-7fa62bf3b000 r-xp 00000000 fd:00 1443356                    /usr/lib64/libz.so.1.2.8
7fa62bf3b000-7fa62c13a000 ---p 00015000 fd:00 1443356                    /usr/lib64/libz.so.1.2.8
7fa62c13a000-7fa62c13b000 r--p 00014000 fd:00 1443356                    /usr/lib64/libz.so.1.2.8
7fa62c13b000-7fa62c13c000 rw-p 00015000 fd:00 1443356                    /usr/lib64/libz.so.1.2.8
7fa62c13c000-7fa62c154000 r-xp 00000000 fd:00 1442947                    /usr/lib64/libpthread-2.22.so
7fa62c154000-7fa62c353000 ---p 00018000 fd:00 1442947                    /usr/lib64/libpthread-2.22.so
7fa62c353000-7fa62c354000 r--p 00017000 fd:00 1442947                    /usr/lib64/libpthread-2.22.so
7fa62c354000-7fa62c355000 rw-p 00018000 fd:00 1442947                    /usr/lib64/libpthread-2.22.so
7fa62c355000-7fa62c359000 rw-p 00000000 00:00 0 
7fa62c359000-7fa62c36f000 r-xp 00000000 fd:00 1442931                    /usr/lib64/libnsl-2.22.so
7fa62c36f000-7fa62c56e000 ---p 00016000 fd:00 1442931                    /usr/lib64/libnsl-2.22.so
7fa62c56e000-7fa62c56f000 r--p 00015000 fd:00 1442931                    /usr/lib64/libnsl-2.22.so
7fa62c56f000-7fa62c570000 rw-p 00016000 fd:00 1442931                    /usr/lib64/libnsl-2.22.so
7fa62c570000-7fa62c572000 rw-p 00000000 00:00 0 
7fa62c572000-7fa62c582000 r-xp 00000000 fd:00 1448312                    /usr/lib64/libavahi-client.so.3.2.9
7fa62c582000-7fa62c781000 ---p 00010000 fd:00 1448312                    /usr/lib64/libavahi-client.so.3.2.9
7fa62c781000-7fa62c782000 r--p 0000f000 fd:00 1448312                    /usr/lib64/libavahi-client.so.3.2.9
7fa62c782000-7fa62c783000 rw-p 00010000 fd:00 1448312                    /usr/lib64/libavahi-client.so.3.2.9
7fa62c783000-7fa62c78f000 r-xp 00000000 fd:00 1448314                    /usr/lib64/libavahi-common.so.3.5.3
7fa62c78f000-7fa62c98e000 ---p 0000c000 fd:00 1448314                    /usr/lib64/libavahi-common.so.3.5.3
7fa62c98e000-7fa62c98f000 r--p 0000b000 fd:00 1448314                    /usr/lib64/libavahi-common.so.3.5.3
7fa62c98f000-7fa62c990000 rw-p 0000c000 fd:00 1448314                    /usr/lib64/libavahi-common.so.3.5.3
7fa62c990000-7fa62caca000 r-xp 00000000 fd:00 1444015                    /usr/lib64/libX11.so.6.3.0
7fa62caca000-7fa62ccc9000 ---p 0013a000 fd:00 1444015                    /usr/lib64/libX11.so.6.3.0
7fa62ccc9000-7fa62cccc000 r--p 00139000 fd:00 1444015                    /usr/lib64/libX11.so.6.3.0
7fa62cccc000-7fa62ccd0000 rw-p 0013c000 fd:00 1444015                    /usr/lib64/libX11.so.6.3.0
7fa62ccd0000-7fa62ccd2000 r-xp 00000000 fd:00 1444023                    /usr/lib64/libXdamage.so.1.1.0
7fa62ccd2000-7fa62ced1000 ---p 00002000 fd:00 1444023                    /usr/lib64/libXdamage.so.1.1.0
7fa62ced1000-7fa62ced2000 r--p 00001000 fd:00 1444023                    /usr/lib64/libXdamage.so.1.1.0
7fa62ced2000-7fa62ced3000 rw-p 00000000 00:00 0 
7fa62ced3000-7fa62ced8000 r-xp 00000000 fd:00 1444021                    /usr/lib64/libXfixes.so.3.1.0
7fa62ced8000-7fa62d0d7000 ---p 00005000 fd:00 1444021                    /usr/lib64/libXfixes.so.3.1.0
7fa62d0d7000-7fa62d0d8000 r--p 00004000 fd:00 1444021                    /usr/lib64/libXfixes.so.3.1.0
7fa62d0d8000-7fa62d0d9000 rw-p 00005000 fd:00 1444021                    /usr/lib64/libXfixes.so.3.1.0
7fa62d0d9000-7fa62d0e3000 r-xp 00000000 fd:00 1444029                    /usr/lib64/libXrandr.so.2.2.0
7fa62d0e3000-7fa62d2e2000 ---p 0000a000 fd:00 1444029                    /usr/lib64/libXrandr.so.2.2.0
7fa62d2e2000-7fa62d2e3000 r--p 00009000 fd:00 1444029                    /usr/lib64/libXrandr.so.2.2.0
7fa62d2e3000-7fa62d2e4000 rw-p 0000a000 fd:00 1444029                    /usr/lib64/libXrandr.so.2.2.0
7fa62d2e4000-7fa62d2e6000 r-xp 00000000 fd:00 1444033                    /usr/lib64/libXinerama.so.1.0.0
7fa62d2e6000-7fa62d4e5000 ---p 00002000 fd:00 1444033                    /usr/lib64/libXinerama.so.1.0.0
7fa62d4e5000-7fa62d4e6000 r--p 00001000 fd:00 1444033                    /usr/lib64/libXinerama.so.1.0.0
7fa62d4e6000-7fa62d4e7000 rw-p 00002000 fd:00 1444033                    /usr/lib64/libXinerama.so.1.0.0
7fa62d4e7000-7fa62d4f8000 r-xp 00000000 fd:00 1444017                    /usr/lib64/libXext.so.6.4.0
7fa62d4f8000-7fa62d6f7000 ---p 00011000 fd:00 1444017                    /usr/lib64/libXext.so.6.4.0
7fa62d6f7000-7fa62d6f8000 r--p 00010000 fd:00 1444017                    /usr/lib64/libXext.so.6.4.0
7fa62d6f8000-7fa62d6f9000 rw-p 00011000 fd:00 1444017                    /usr/lib64/libXext.so.6.4.0
7fa62d6f9000-7fa62d6fe000 r-xp 00000000 fd:00 1444031                    /usr/lib64/libXtst.so.6.1.0
7fa62d6fe000-7fa62d8fd000 ---p 00005000 fd:00 1444031                    /usr/lib64/libXtst.so.6.1.0
7fa62d8fd000-7fa62d8fe000 r--p 00004000 fd:00 1444031                    /usr/lib64/libXtst.so.6.1.0
7fa62d8fe000-7fa62d8ff000 rw-p 00005000 fd:00 1444031                    /usr/lib64/libXtst.so.6.1.0
7fa62d8ff000-7fa62d906000 r-xp 00000000 fd:00 1442923                    /usr/lib64/libcrypt-2.22.so
7fa62d906000-7fa62db05000 ---p 00007000 fd:00 1442923                    /usr/lib64/libcrypt-2.22.so
7fa62db05000-7fa62db06000 r--p 00006000 fd:00 1442923                    /usr/lib64/libcrypt-2.22.so
7fa62db06000-7fa62db07000 rw-p 00007000 fd:00 1442923                    /usr/lib64/libcrypt-2.22.so
7fa62db07000-7fa62db35000 rw-p 00000000 00:00 0 
7fa62db35000-7fa62dd56000 r-xp 00000000 fd:00 1444753                    /usr/lib64/libcrypto.so.1.0.2d
7fa62dd56000-7fa62df56000 ---p 00221000 fd:00 1444753                    /usr/lib64/libcrypto.so.1.0.2d
7fa62df56000-7fa62df71000 r--p 00221000 fd:00 1444753                    /usr/lib64/libcrypto.so.1.0.2d
7fa62df71000-7fa62df7e000 rw-p 0023c000 fd:00 1444753                    /usr/lib64/libcrypto.so.1.0.2d
7fa62df7e000-7fa62df82000 rw-p 00000000 00:00 0 
7fa62df82000-7fa62dfef000 r-xp 00000000 fd:00 1444755                    /usr/lib64/libssl.so.1.0.2d
7fa62dfef000-7fa62e1ef000 ---p 0006d000 fd:00 1444755                    /usr/lib64/libssl.so.1.0.2d
7fa62e1ef000-7fa62e1f4000 r--p 0006d000 fd:00 1444755                    /usr/lib64/libssl.so.1.0.2d
7fa62e1f4000-7fa62e1fb000 rw-p 00072000 fd:00 1444755                    /usr/lib64/libssl.so.1.0.2d
7fa62e1fb000-7fa62e217000 r-xp 00000000 fd:00 1462812                    /usr/lib64/libvncclient.so.0.0.0
7fa62e217000-7fa62e417000 ---p 0001c000 fd:00 1462812                    /usr/lib64/libvncclient.so.0.0.0
7fa62e417000-7fa62e418000 r--p 0001c000 fd:00 1462812                    /usr/lib64/libvncclient.so.0.0.0
7fa62e418000-7fa62e419000 rw-p 0001d000 fd:00 1462812                    /usr/lib64/libvncclient.so.0.0.0
7fa62e419000-7fa62e45c000 r-xp 00000000 fd:00 1462814                    /usr/lib64/libvncserver.so.0.0.0
7fa62e45c000-7fa62e65b000 ---p 00043000 fd:00 1462814                    /usr/lib64/libvncserver.so.0.0.0
7fa62e65b000-7fa62e65d000 r--p 00042000 fd:00 1462814                    /usr/lib64/libvncserver.so.0.0.0
7fa62e65d000-7fa62e65e000 rw-p 00044000 fd:00 1462814                    /usr/lib64/libvncserver.so.0.0.0
7fa62e65e000-7fa62e672000 rw-p 00000000 00:00 0 
7fa62e672000-7fa62e693000 r-xp 00000000 fd:00 1442910                    /usr/lib64/ld-2.22.so
7fa62e6a3000-7fa62e6bc000 rw-s 00000000 00:05 36044882                   /SYSV00000000 (deleted)
7fa62e6bc000-7fa62e6d4000 rw-s 00000000 00:05 36012113                   /SYSV00000000 (deleted)
7fa62e6d4000-7fa62e6eb000 rw-s 00000000 00:05 35979344                   /SYSV00000000 (deleted)
7fa62e6eb000-7fa62e701000 rw-s 00000000 00:05 35946575                   /SYSV00000000 (deleted)
7fa62e701000-7fa62e716000 rw-s 00000000 00:05 35913806                   /SYSV00000000 (deleted)
7fa62e716000-7fa62e72a000 rw-s 00000000 00:05 35881037                   /SYSV00000000 (deleted)
7fa62e72a000-7fa62e73d000 rw-s 00000000 00:05 35848268                   /SYSV00000000 (deleted)
7fa62e73d000-7fa62e74f000 rw-s 00000000 00:05 35815499                   /SYSV00000000 (deleted)
7fa62e74f000-7fa62e760000 rw-s 00000000 00:05 35782730                   /SYSV00000000 (deleted)
7fa62e760000-7fa62e770000 rw-s 00000000 00:05 35749961                   /SYSV00000000 (deleted)
7fa62e770000-7fa62e77f000 rw-s 00000000 00:05 35717192                   /SYSV00000000 (deleted)
7fa62e77f000-7fa62e78d000 rw-s 00000000 00:05 35684423                   /SYSV00000000 (deleted)
7fa62e78d000-7fa62e79a000 rw-s 00000000 00:05 35651654                   /SYSV00000000 (deleted)
7fa62e79a000-7fa62e7a6000 rw-s 00000000 00:05 35618885                   /SYSV00000000 (deleted)
7fa62e7a6000-7fa62e7b1000 rw-s 00000000 00:05 35586116                   /SYSV00000000 (deleted)
7fa62e7b1000-7fa62e7bb000 rw-s 00000000 00:05 35553347                   /SYSV00000000 (deleted)
7fa62e7bb000-7fa62e7c4000 rw-s 00000000 00:05 35520578                   /SYSV00000000 (deleted)
7fa62e7c4000-7fa62e7cc000 rw-s 00000000 00:05 35487809                   /SYSV00000000 (deleted)
7fa62e7cc000-7fa62e7d8000 rw-p 00000000 00:00 0 
7fa62e7d8000-7fa62e85b000 r-xp 00000000 fd:00 1448178                    /usr/lib64/libsystemd.so.0.9.0
7fa62e85b000-7fa62e85e000 r--p 00082000 fd:00 1448178                    /usr/lib64/libsystemd.so.0.9.0
7fa62e85e000-7fa62e85f000 rw-p 00085000 fd:00 1448178                    /usr/lib64/libsystemd.so.0.9.0
7fa62e85f000-7fa62e870000 rw-p 00000000 00:00 0 
7fa62e871000-7fa62e873000 rw-p 00000000 00:00 0 
7fa62e873000-7fa62e87a000 rw-s 00000000 00:05 35455040                   /SYSV00000000 (deleted)
7fa62e87a000-7fa62e880000 rw-s 00000000 00:05 35422271                   /SYSV00000000 (deleted)
7fa62e880000-7fa62e885000 rw-s 00000000 00:05 35389502                   /SYSV00000000 (deleted)
7fa62e885000-7fa62e889000 rw-s 00000000 00:05 35356733                   /SYSV00000000 (deleted)
7fa62e889000-7fa62e88c000 rw-s 00000000 00:05 35323964                   /SYSV00000000 (deleted)
7fa62e88c000-7fa62e88e000 rw-s 00000000 00:05 35291195                   /SYSV00000000 (deleted)
7fa62e88e000-7fa62e88f000 rw-s 00000000 00:05 35258426                   /SYSV00000000 (deleted)
7fa62e88f000-7fa62e891000 rw-s 00000000 00:05 35192888                   /SYSV00000000 (deleted)
7fa62e891000-7fa62e892000 rw-p 00000000 00:00 0 
7fa62e892000-7fa62e893000 r--p 00020000 fd:00 1442910                    /usr/lib64/ld-2.22.so
7fa62e893000-7fa62e894000 rw-p 00021000 fd:00 1442910                    /usr/lib64/ld-2.22.so
7fa62e894000-7fa62e895000 rw-p 00000000 00:00 0 
7ffcb1bd3000-7ffcb1bf4000 rw-p 00000000 00:00 0                          [stack]
7ffcb1bf7000-7ffcb1bf9000 r--p 00000000 00:00 0                          [vvar]
7ffcb1bf9000-7ffcb1bfb000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
caught signal: 6
19/11/2015 10:09:39 deleted 50 tile_row polling images.
19/11/2015 10:09:39 Restored X server key autorepeat to: 1
vmunix ~ $
Comment 2 Sergey Bobrov 2015-11-19 03:14:54 EST
completely impossible to use vnc
Comment 3 Dave 2015-11-22 17:23:16 EST
Often triggered when clicking to bring a drop down menu
Example:  left click File (in order to get the Exit selection) will cause the crash
Comment 4 Pavel Alexeev 2015-11-30 07:44:47 EST
Please test new version: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6685346aaa
Comment 5 Dave 2015-11-30 20:52:29 EST
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #4)
> Please test new version:
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-6685346aaa

The problem continues to occur after installing x11vnc-0.9.14-1.fc23.x86_64.rpm

[root@Pluto ~]# x11vnc -auth guess -display :0
###############################################################
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
#@                                                           @#
#@  **  WARNING  **  WARNING  **  WARNING  **  WARNING  **   @#
#@                                                           @#
#@        YOU ARE RUNNING X11VNC WITHOUT A PASSWORD!!        @#
#@                                                           @#
#@  This means anyone with network access to this computer   @#
#@  may be able to view and control your desktop.            @#
#@                                                           @#
#@ >>> If you did not mean to do this Press CTRL-C now!! <<< @#
#@                                                           @#
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
#@                                                           @#
#@  You can create an x11vnc password file by running:       @#
#@                                                           @#
#@       x11vnc -storepasswd password /path/to/passfile      @#
#@  or   x11vnc -storepasswd /path/to/passfile               @#
#@  or   x11vnc -storepasswd                                 @#
#@                                                           @#
#@  (the last one will use ~/.vnc/passwd)                    @#
#@                                                           @#
#@  and then starting x11vnc via:                            @#
#@                                                           @#
#@      x11vnc -rfbauth /path/to/passfile                    @#
#@                                                           @#
#@  an existing ~/.vnc/passwd file from another VNC          @#
#@  application will work fine too.                          @#
#@                                                           @#
#@  You can also use the -passwdfile or -passwd options.     @#
#@  (note -passwd is unsafe if local users are not trusted)  @#
#@                                                           @#
#@  Make sure any -rfbauth and -passwdfile password files    @#
#@  cannot be read by untrusted users.                       @#
#@                                                           @#
#@  Use x11vnc -usepw to automatically use your              @#
#@  ~/.vnc/passwd or ~/.vnc/passwdfile password files.       @#
#@  (and prompt you to create ~/.vnc/passwd if neither       @#
#@  file exists.)  Under -usepw, x11vnc will exit if it      @#
#@  cannot find a password to use.                           @#
#@                                                           @#
#@                                                           @#
#@  Even with a password, the subsequent VNC traffic is      @#
#@  sent in the clear.  Consider tunnelling via ssh(1):      @#
#@                                                           @#
#@    http://www.karlrunge.com/x11vnc/#tunnelling            @#
#@                                                           @#
#@  Or using the x11vnc SSL options: -ssl and -stunnel       @#
#@                                                           @#
#@  Please Read the documention for more info about          @#
#@  passwords, security, and encryption.                     @#
#@                                                           @#
#@    http://www.karlrunge.com/x11vnc/faq.html#faq-passwd    @#
#@                                                           @#
#@  To disable this warning use the -nopw option, or put     @#
#@  'nopw' on a line in your ~/.x11vncrc file.               @#
#@                                                           @#
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
###############################################################
30/11/2015 17:26:16 x11vnc version: 0.9.14 lastmod: 2013-11-21  pid: 3013
/tmp/fd.NWbCW0: line 418: /usr/bin/xauth: Permission denied
30/11/2015 17:26:16 -auth guess: using 'XAUTHORITY=/var/run/lightdm/root/:0' for DISPLAY=':0'
30/11/2015 17:26:16 Using X display :0
30/11/2015 17:26:16 rootwin: 0x49b reswin: 0xc00001 dpy: 0xe0646350
30/11/2015 17:26:16 
30/11/2015 17:26:16 ------------------ USEFUL INFORMATION ------------------
30/11/2015 17:26:16 X DAMAGE available on display, using it for polling hints.
30/11/2015 17:26:16   To disable this behavior use: '-noxdamage'
30/11/2015 17:26:16 
30/11/2015 17:26:16   Most compositing window managers like 'compiz' or 'beryl'
30/11/2015 17:26:16   cause X DAMAGE to fail, and so you may not see any screen
30/11/2015 17:26:16   updates via VNC.  Either disable 'compiz' (recommended) or
30/11/2015 17:26:16   supply the x11vnc '-noxdamage' command line option.
30/11/2015 17:26:16 
30/11/2015 17:26:16 Wireframing: -wireframe mode is in effect for window moves.
30/11/2015 17:26:16   If this yields undesired behavior (poor response, painting
30/11/2015 17:26:16   errors, etc) it may be disabled:
30/11/2015 17:26:16    - use '-nowf' to disable wireframing completely.
30/11/2015 17:26:16    - use '-nowcr' to disable the Copy Rectangle after the
30/11/2015 17:26:16      moved window is released in the new position.
30/11/2015 17:26:16   Also see the -help entry for tuning parameters.
30/11/2015 17:26:16   You can press 3 Alt_L's (Left "Alt" key) in a row to 
30/11/2015 17:26:16   repaint the screen, also see the -fixscreen option for
30/11/2015 17:26:16   periodic repaints.
30/11/2015 17:26:16 
30/11/2015 17:26:16 XFIXES available on display, resetting cursor mode
30/11/2015 17:26:16   to: '-cursor most'.
30/11/2015 17:26:16   to disable this behavior use: '-cursor arrow'
30/11/2015 17:26:16   or '-noxfixes'.
30/11/2015 17:26:16 using XFIXES for cursor drawing.
30/11/2015 17:26:16 GrabServer control via XTEST.
30/11/2015 17:26:16 
30/11/2015 17:26:16 Scroll Detection: -scrollcopyrect mode is in effect to
30/11/2015 17:26:16   use RECORD extension to try to detect scrolling windows
30/11/2015 17:26:16   (induced by either user keystroke or mouse input).
30/11/2015 17:26:16   If this yields undesired behavior (poor response, painting
30/11/2015 17:26:16   errors, etc) it may be disabled via: '-noscr'
30/11/2015 17:26:16   Also see the -help entry for tuning parameters.
30/11/2015 17:26:16   You can press 3 Alt_L's (Left "Alt" key) in a row to 
30/11/2015 17:26:16   repaint the screen, also see the -fixscreen option for
30/11/2015 17:26:16   periodic repaints.
30/11/2015 17:26:16 
30/11/2015 17:26:16 XKEYBOARD: number of keysyms per keycode 7 is greater
30/11/2015 17:26:16   than 4 and 51 keysyms are mapped above 4.
30/11/2015 17:26:16   Automatically switching to -xkb mode.
30/11/2015 17:26:16   If this makes the key mapping worse you can
30/11/2015 17:26:16   disable it with the "-noxkb" option.
30/11/2015 17:26:16   Also, remember "-remap DEAD" for accenting characters.
30/11/2015 17:26:16 
30/11/2015 17:26:16 X FBPM extension not supported.
30/11/2015 17:26:16 X display is capable of DPMS.
30/11/2015 17:26:16 --------------------------------------------------------
30/11/2015 17:26:16 
30/11/2015 17:26:16 Default visual ID: 0x21
30/11/2015 17:26:16 Read initial data from X display into framebuffer.
30/11/2015 17:26:16 initialize_screen: fb_depth/fb_bpp/fb_Bpl 24/32/7680
30/11/2015 17:26:16 
30/11/2015 17:26:16 X display :0 is 32bpp depth=24 true color
30/11/2015 17:26:16 
30/11/2015 17:26:16 Autoprobing TCP port 
30/11/2015 17:26:16 Autoprobing selected TCP port 5900
30/11/2015 17:26:16 Autoprobing TCP6 port 
30/11/2015 17:26:16 Autoprobing selected TCP6 port 5900
30/11/2015 17:26:16 listen6: bind: Address already in use
30/11/2015 17:26:16 Not listening on IPv6 interface.
30/11/2015 17:26:16 
30/11/2015 17:26:16 Xinerama is present and active (e.g. multi-head).
30/11/2015 17:26:16 Xinerama: number of sub-screens: 1
30/11/2015 17:26:16 Xinerama: no blackouts needed (only one sub-screen)
30/11/2015 17:26:16 
30/11/2015 17:26:16 Number of screens: 1 for X11 display ':0'
30/11/2015 17:26:16 fb read rate: 1093 MB/sec
30/11/2015 17:26:16 fast read: reset -wait  ms to: 10
30/11/2015 17:26:16 fast read: reset -defer ms to: 10
30/11/2015 17:26:16 The X server says there are 24 mouse buttons.
30/11/2015 17:26:16 screen setup finished.
30/11/2015 17:26:16 
30/11/2015 17:26:16 WARNING: You are running x11vnc WITHOUT a password.  See
30/11/2015 17:26:16 WARNING: the warning message printed above for more info.
30/11/2015 17:26:16 

The VNC desktop is:      Pluto:0
PORT=5900

******************************************************************************
Have you tried the x11vnc '-ncache' VNC client-side pixel caching feature yet?

The scheme stores pixel data offscreen on the VNC viewer side for faster
retrieval.  It should work with any VNC viewer.  Try it by running:

    x11vnc -ncache 10 ...

One can also add -ncache_cr for smooth 'copyrect' window motion.
More info: http://www.karlrunge.com/x11vnc/faq.html#faq-client-caching

30/11/2015 17:26:27 Got connection from client 192.168.9.104
30/11/2015 17:26:27   other clients:
30/11/2015 17:26:27 Normal socket connection
30/11/2015 17:26:27 Disabled X server key autorepeat.
30/11/2015 17:26:27   to force back on run: 'xset r on' (3 times)
30/11/2015 17:26:27 incr accepted_client=1 for 192.168.9.104:33828  sock=12
30/11/2015 17:26:27 Client Protocol Version 3.8
30/11/2015 17:26:27 Protocol version sent 3.8, using 3.8
30/11/2015 17:26:27 rfbProcessClientSecurityType: executing handler for type 1
30/11/2015 17:26:27 rfbProcessClientSecurityType: returning securityResult for client rfb version >= 3.8
30/11/2015 17:26:27 Pixel format for client 192.168.9.104:
30/11/2015 17:26:27   16 bpp, depth 16, little endian
30/11/2015 17:26:27   true colour: max r 31 g 63 b 31, shift r 11 g 5 b 0
30/11/2015 17:26:27 Enabling X-style cursor updates for client 192.168.9.104
30/11/2015 17:26:27 Enabling full-color cursor updates for client 192.168.9.104
30/11/2015 17:26:27 Enabling cursor position updates for client 192.168.9.104
30/11/2015 17:26:27 Enabling KeyboardLedState protocol extension for client 192.168.9.104
30/11/2015 17:26:27 Enabling NewFBSize protocol extension for client 192.168.9.104
30/11/2015 17:26:27 Enabling SupportedMessages protocol extension for client 192.168.9.104
30/11/2015 17:26:27 Enabling SupportedEncodings protocol extension for client 192.168.9.104
30/11/2015 17:26:27 Enabling ServerIdentity protocol extension for client 192.168.9.104
30/11/2015 17:26:27 Enabling Xvp protocol extension for client 192.168.9.104
30/11/2015 17:26:27 Using hextile encoding for client 192.168.9.104
30/11/2015 17:26:28 client 1 network rate 1062.1 KB/sec (14788.0 eff KB/sec)
30/11/2015 17:26:28 client 1 latency:  0.6 ms
30/11/2015 17:26:28 dt1: 0.0615, dt2: 0.2505 dt3: 0.0006 bytes: 331016
30/11/2015 17:26:28 link_rate: LR_LAN - 1 ms, 1062 KB/s
30/11/2015 17:26:28 client useCopyRect: 192.168.9.104 -1
30/11/2015 17:26:28 client_set_net: 192.168.9.104  0.0060
30/11/2015 17:26:28 created   xdamage object: 0xc00040
30/11/2015 17:26:30 copy_tiles: allocating first_line at size 61

30/11/2015 17:26:32 check_xrandr_event():
30/11/2015 17:26:32 Detected XRANDR event at location 'check_xevents':
30/11/2015 17:26:32 check_xrandr_event: no change detected.
30/11/2015 17:26:32 check_xrandr_event: enabling full XRANDR trapping anyway.
30/11/2015 17:26:34 Battling with something for -norepeat!! (1 resets left)
30/11/2015 17:26:34 Disabled X server key autorepeat.
30/11/2015 17:26:34   to force back on run: 'xset r on' (2 times)
30/11/2015 17:26:36 created selwin: 0xc00041
30/11/2015 17:26:36 called initialize_xfixes()
30/11/2015 17:27:05 cursor_noshape_updates_clients: 0
30/11/2015 17:28:11 cursor_noshape_updates_clients: 0
*** stack smashing detected ***: x11vnc terminated
======= Backtrace: =========
/lib64/libc.so.6(+0x77e15)[0x7f4e4c864e15]
/lib64/libc.so.6(__fortify_fail+0x37)[0x7f4e4c901607]
/lib64/libc.so.6(__fortify_fail+0x0)[0x7f4e4c9015d0]
x11vnc(+0xb8624)[0x5644debae624]
x11vnc(+0xb8b2b)[0x5644debaeb2b]
/lib64/libXtst.so.6(+0x1a4e)[0x7f4e4e5dba4e]
/lib64/libXtst.so.6(+0x1edd)[0x7f4e4e5dbedd]
/lib64/libX11.so.6(+0x422ad)[0x7f4e4d8b32ad]
/lib64/libX11.so.6(_XEventsQueued+0x55)[0x7f4e4d8b3ca5]
/lib64/libX11.so.6(XPending+0x57)[0x7f4e4d8a56a7]
x11vnc(+0x97360)[0x5644deb8d360]
x11vnc(+0xa2035)[0x5644deb98035]
x11vnc(+0x6a58b)[0x5644deb6058b]
x11vnc(+0x11a3f)[0x5644deb07a3f]
/lib64/libc.so.6(__libc_start_main+0xf0)[0x7f4e4c80d580]
x11vnc(+0x1cb19)[0x5644deb12b19]
======= Memory map: ========
5644deaf6000-5644dec48000 r-xp 00000000 fd:00 11281799                   /usr/bin/x11vnc
5644dee47000-5644dee49000 r--p 00151000 fd:00 11281799                   /usr/bin/x11vnc
5644dee49000-5644dee8e000 rw-p 00153000 fd:00 11281799                   /usr/bin/x11vnc
5644dee8e000-5644df0cf000 rw-p 00000000 00:00 0 
5644e0624000-5644e08e4000 rw-p 00000000 00:00 0                          [heap]
7f4e452be000-7f4e452fd000 r-xp 00000000 fd:00 11272214                   /usr/lib64/libnss_mymachines.so.2
7f4e452fd000-7f4e45300000 r--p 0003e000 fd:00 11272214                   /usr/lib64/libnss_mymachines.so.2
7f4e45300000-7f4e45301000 rw-p 00041000 fd:00 11272214                   /usr/lib64/libnss_mymachines.so.2
7f4e45301000-7f4e4531f000 r-xp 00000000 fd:00 11289270                   /usr/lib64/libseccomp.so.2.2.3
7f4e4531f000-7f4e4551e000 ---p 0001e000 fd:00 11289270                   /usr/lib64/libseccomp.so.2.2.3
7f4e4551e000-7f4e4552c000 r--p 0001d000 fd:00 11289270                   /usr/lib64/libseccomp.so.2.2.3
7f4e4552c000-7f4e4552d000 rw-p 0002b000 fd:00 11289270                   /usr/lib64/libseccomp.so.2.2.3
7f4e4552d000-7f4e45535000 r-xp 00000000 fd:00 11286968                   /usr/lib64/libacl.so.1.1.0
7f4e45535000-7f4e45734000 ---p 00008000 fd:00 11286968                   /usr/lib64/libacl.so.1.1.0
7f4e45734000-7f4e45735000 r--p 00007000 fd:00 11286968                   /usr/lib64/libacl.so.1.1.0
7f4e45735000-7f4e45736000 rw-p 00008000 fd:00 11286968                   /usr/lib64/libacl.so.1.1.0
7f4e45736000-7f4e45744000 r-xp 00000000 fd:00 11286591                   /usr/lib64/libnss_myhostname.so.2
7f4e45744000-7f4e45747000 r--p 0000d000 fd:00 11286591                   /usr/lib64/libnss_myhostname.so.2
7f4e45747000-7f4e45748000 rw-p 00010000 fd:00 11286591                   /usr/lib64/libnss_myhostname.so.2
7f4e45748000-7f4e4574d000 r-xp 00000000 fd:00 11284541                   /usr/lib64/libnss_dns-2.22.so
7f4e4574d000-7f4e4594d000 ---p 00005000 fd:00 11284541                   /usr/lib64/libnss_dns-2.22.so
7f4e4594d000-7f4e4594e000 r--p 00005000 fd:00 11284541                   /usr/lib64/libnss_dns-2.22.so
7f4e4594e000-7f4e4594f000 rw-p 00006000 fd:00 11284541                   /usr/lib64/libnss_dns-2.22.so
7f4e4594f000-7f4e45951000 r-xp 00000000 fd:00 11284543                   /usr/lib64/libnss_mdns4_minimal.so.2
7f4e45951000-7f4e45b51000 ---p 00002000 fd:00 11284543                   /usr/lib64/libnss_mdns4_minimal.so.2
7f4e45b51000-7f4e45b52000 r--p 00002000 fd:00 11284543                   /usr/lib64/libnss_mdns4_minimal.so.2
7f4e45b52000-7f4e45b53000 rw-p 00000000 00:00 0 
7f4e45b53000-7f4e45b5e000 r-xp 00000000 fd:00 11299607                   /usr/lib64/libnss_files-2.22.so
7f4e45b5e000-7f4e45d5d000 ---p 0000b000 fd:00 11299607                   /usr/lib64/libnss_files-2.22.so
7f4e45d5d000-7f4e45d5e000 r--p 0000a000 fd:00 11299607                   /usr/lib64/libnss_files-2.22.so
7f4e45d5e000-7f4e45d5f000 rw-p 0000b000 fd:00 11299607                   /usr/lib64/libnss_files-2.22.so
7f4e45d5f000-7f4e45d65000 rw-p 00000000 00:00 0 
7f4e45d87000-7f4e45dc3000 rw-s 00000000 00:05 3145790                    /SYSV00000000 (deleted)
7f4e45dc3000-7f4e45dfe000 rw-s 00000000 00:05 3113021                    /SYSV00000000 (deleted)
7f4e45dfe000-7f4e45e38000 rw-s 00000000 00:05 3080252                    /SYSV00000000 (deleted)
7f4e45e38000-7f4e45e71000 rw-s 00000000 00:05 3047483                    /SYSV00000000 (deleted)
7f4e45e71000-7f4e45ea9000 rw-s 00000000 00:05 3014714                    /SYSV00000000 (deleted)
7f4e45ea9000-7f4e45ee0000 rw-s 00000000 00:05 2981945                    /SYSV00000000 (deleted)
7f4e45ee0000-7f4e45f16000 rw-s 00000000 00:05 2949176                    /SYSV00000000 (deleted)
7f4e45f16000-7f4e45f4b000 rw-s 00000000 00:05 2916407                    /SYSV00000000 (deleted)
7f4e45f4b000-7f4e45f7f000 rw-s 00000000 00:05 2883638                    /SYSV00000000 (deleted)
7f4e45f7f000-7f4e45fb2000 rw-s 00000000 00:05 2850869                    /SYSV00000000 (deleted)
7f4e45fb2000-7f4e45fe4000 rw-s 00000000 00:05 2818100                    /SYSV00000000 (deleted)
7f4e45fe4000-7f4e46015000 rw-s 00000000 00:05 2785331                    /SYSV00000000 (deleted)
7f4e46015000-7f4e46045000 rw-s 00000000 00:05 2752562                    /SYSV00000000 (deleted)
7f4e46045000-7f4e46074000 rw-s 00000000 00:05 2719793                    /SYSV00000000 (deleted)
7f4e46074000-7f4e460a2000 rw-s 00000000 00:05 2687024                    /SYSV00000000 (deleted)
7f4e460a2000-7f4e460cf000 rw-s 00000000 00:05 2654255                    /SYSV00000000 (deleted)
7f4e460cf000-7f4e460fb000 rw-s 00000000 00:05 2621486                    /SYSV00000000 (deleted)
7f4e460fb000-7f4e46126000 rw-s 00000000 00:05 2588717                    /SYSV00000000 (deleted)
7f4e46126000-7f4e46150000 rw-s 00000000 00:05 2555948                    /SYSV00000000 (deleted)
7f4e46150000-7f4e46179000 rw-s 00000000 00:05 2523179                    /SYSV00000000 (deleted)
7f4e46179000-7f4e461a1000 rw-s 00000000 00:05 2490410                    /SYSV00000000 (deleted)
7f4e461a1000-7f4e461c8000 rw-s 00000000 00:05 2457641                    /SYSV00000000 (deleted)
7f4e461c8000-7f4e461ee000 rw-s 00000000 00:05 2424872                    /SYSV00000000 (deleted)
7f4e461ee000-7f4e46213000 rw-s 00000000 00:05 2392103                    /SYSV00000000 (deleted)
7f4e46213000-7f4e46237000 rw-s 00000000 00:05 2359334                    /SYSV00000000 (deleted)
7f4e46237000-7f4e4625a000 rw-s 00000000 00:05 2326565                    /SYSV00000000 (deleted)
7f4e4625a000-7f4e4627c000 rw-s 00000000 00:05 2293796                    /SYSV00000000 (deleted)
7f4e4627c000-7f4e4629d000 rw-s 00000000 00:05 2261027                    /SYSV00000000 (deleted)
7f4e4629d000-7f4e462bd000 rw-s 00000000 00:05 2228258                    /SYSV00000000 (deleted)
7f4e462bd000-7f4e462dc000 rw-s 00000000 00:05 2195489                    /SYSV00000000 (deleted)
7f4e462dc000-7f4e462fa000 rw-s 00000000 00:05 2162720                    /SYSV00000000 (deleted)
7f4e462fa000-7f4e46317000 rw-s 00000000 00:05 2129951                    /SYSV00000000 (deleted)
7f4e46317000-7f4e46333000 rw-s 00000000 00:05 2097182                    /SYSV00000000 (deleted)
7f4e46333000-7f4e4634e000 rw-s 00000000 00:05 2064413                    /SYSV00000000 (deleted)
7f4e4634e000-7f4e46368000 rw-s 00000000 00:05 2031644                    /SYSV00000000 (deleted)
7f4e46368000-7f4e46c33000 rw-p 00000000 00:00 0 
7f4e46c34000-7f4e474fe000 rw-s 00000000 00:05 1179650                    /SYSV00000000 (deleted)
7f4e474fe000-7f4e47502000 r-xp 00000000 fd:00 11298140                   /usr/lib64/libattr.so.1.1.0
7f4e47502000-7f4e47702000 ---p 00004000 fd:00 11298140                   /usr/lib64/libattr.so.1.1.0
7f4e47702000-7f4e47703000 r--p 00004000 fd:00 11298140                   /usr/lib64/libattr.so.1.1.0
7f4e47703000-7f4e47704000 rw-p 00000000 00:00 0 
7f4e47704000-7f4e47713000 r-xp 00000000 fd:00 11273674                   /usr/lib64/libbz2.so.1.0.6
7f4e47713000-7f4e47912000 ---p 0000f000 fd:00 11273674                   /usr/lib64/libbz2.so.1.0.6
7f4e47912000-7f4e47913000 r--p 0000e000 fd:00 11273674                   /usr/lib64/libbz2.so.1.0.6
7f4e47913000-7f4e47914000 rw-p 0000f000 fd:00 11273674                   /usr/lib64/libbz2.so.1.0.6
7f4e47914000-7f4e47929000 r-xp 00000000 fd:00 11300881                   /usr/lib64/libelf-0.163.so
7f4e47929000-7f4e47b28000 ---p 00015000 fd:00 11300881                   /usr/lib64/libelf-0.163.so
7f4e47b28000-7f4e47b29000 r--p 00014000 fd:00 11300881                   /usr/lib64/libelf-0.163.so
7f4e47b29000-7f4e47b2a000 rw-p 00015000 fd:00 11300881                   /usr/lib64/libelf-0.163.so
7f4e47b2a000-7f4e47b99000 r-xp 00000000 fd:00 11274283                   /usr/lib64/libpcre.so.1.2.6
7f4e47b99000-7f4e47d98000 ---p 0006f000 fd:00 11274283                   /usr/lib64/libpcre.so.1.2.6
7f4e47d98000-7f4e47d99000 r--p 0006e000 fd:00 11274283                   /usr/lib64/libpcre.so.1.2.6
7f4e47d99000-7f4e47d9a000 rw-p 0006f000 fd:00 11274283                   /usr/lib64/libpcre.so.1.2.6
7f4e47d9a000-7f4e47db0000 r-xp 00000000 fd:00 11277289                   /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7f4e47db0000-7f4e47faf000 ---p 00016000 fd:00 11277289                   /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7f4e47faf000-7f4e47fb0000 r--p 00015000 fd:00 11277289                   /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7f4e47fb0000-7f4e47fb1000 rw-p 00016000 fd:00 11277289                   /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7f4e47fb1000-7f4e47fb5000 r-xp 00000000 fd:00 11299893                   /usr/lib64/libcap.so.2.24
7f4e47fb5000-7f4e481b4000 ---p 00004000 fd:00 11299893                   /usr/lib64/libcap.so.2.24
7f4e481b4000-7f4e481b5000 r--p 00003000 fd:00 11299893                   /usr/lib64/libcap.so.2.24
7f4e481b5000-7f4e481b6000 rw-p 00004000 fd:00 11299893                   /usr/lib64/libcap.so.2.24
7f4e481b6000-7f4e481fc000 r-xp 00000000 fd:00 11276611                   /usr/lib64/libdw-0.163.so
7f4e481fc000-7f4e483fc000 ---p 00046000 fd:00 11276611                   /usr/lib64/libdw-0.163.so
7f4e483fc000-7f4e483fe000 r--p 00046000 fd:00 11276611                   /usr/lib64/libdw-0.163.so
7f4e483fe000-7f4e483ff000 rw-p 00048000 fd:00 11276611                   /usr/lib64/libdw-0.163.so
7f4e483ff000-7f4e48424000 r-xp 00000000 fd:00 11274019                   /usr/lib64/liblzma.so.5.2.1
7f4e48424000-7f4e48623000 ---p 00025000 fd:00 11274019                   /usr/lib64/liblzma.so.5.2.1
7f4e48623000-7f4e48624000 r--p 00024000 fd:00 11274019                   /usr/lib64/liblzma.so.5.2.1
7f4e48624000-7f4e48625000 rw-p 00000000 00:00 0 
7f4e48625000-7f4e4862c000 r-xp 00000000 fd:00 11300262                   /usr/lib64/librt-2.22.so
7f4e4862c000-7f4e4882b000 ---p 00007000 fd:00 11300262                   /usr/lib64/librt-2.22.so
7f4e4882b000-7f4e4882c000 r--p 00006000 fd:00 11300262                   /usr/lib64/librt-2.22.so
7f4e4882c000-7f4e4882d000 rw-p 00007000 fd:00 11300262                   /usr/lib64/librt-2.22.so
7f4e4882d000-7f4e4884c000 r-xp 00000000 fd:00 11300517                   /usr/lib64/libselinux.so.1
7f4e4884c000-7f4e48a4c000 ---p 0001f000 fd:00 11300517                   /usr/lib64/libselinux.so.1
7f4e48a4c000-7f4e48a4d000 r--p 0001f000 fd:00 11300517                   /usr/lib64/libselinux.so.1
7f4e48a4d000-7f4e48a4e000 rw-p 00020000 fd:00 11300517                   /usr/lib64/libselinux.so.1
7f4e48a4e000-7f4e48a50000 rw-p 00000000 00:00 0 
7f4e48a50000-7f4e48a57000 r-xp 00000000 fd:00 11299518                   /usr/lib64/libffi.so.6.0.2
7f4e48a57000-7f4e48c56000 ---p 00007000 fd:00 11299518                   /usr/lib64/libffi.so.6.0.2
7f4e48c56000-7f4e48c57000 r--p 00006000 fd:00 11299518                   /usr/lib64/libffi.so.6.0.2
7f4e48c57000-7f4e48c58000 rw-p 00007000 fd:00 11299518                   /usr/lib64/libffi.so.6.0.2
7f4e48c58000-7f4e48c5a000 r-xp 00000000 fd:00 11299381                   /usr/lib64/libXau.so.6.0.0
7f4e48c5a000-7f4e48e5a000 ---p 00002000 fd:00 11299381                   /usr/lib64/libXau.so.6.0.0
7f4e48e5a000-7f4e48e5b000 r--p 00002000 fd:00 11299381                   /usr/lib64/libXau.so.6.0.0
7f4e48e5b000-7f4e48e5c000 rw-p 00000000 00:00 0 
7f4e48e5c000-7f4e48e5f000 r-xp 00000000 fd:00 11289235                   /usr/lib64/libkeyutils.so.1.5
7f4e48e5f000-7f4e4905e000 ---p 00003000 fd:00 11289235                   /usr/lib64/libkeyutils.so.1.5
7f4e4905e000-7f4e4905f000 r--p 00002000 fd:00 11289235                   /usr/lib64/libkeyutils.so.1.5
7f4e4905f000-7f4e49060000 rw-p 00000000 00:00 0 
7f4e49060000-7f4e4906d000 r-xp 00000000 fd:00 11298576                   /usr/lib64/libkrb5support.so.0.1
7f4e4906d000-7f4e4926d000 ---p 0000d000 fd:00 11298576                   /usr/lib64/libkrb5support.so.0.1
7f4e4926d000-7f4e4926e000 r--p 0000d000 fd:00 11298576                   /usr/lib64/libkrb5support.so.0.1
7f4e4926e000-7f4e4926f000 rw-p 0000e000 fd:00 11298576                   /usr/lib64/libkrb5support.so.0.1
7f4e4926f000-7f4e492e6000 r-xp 00000000 fd:00 11273333                   /usr/lib64/libgmp.so.10.2.0
7f4e492e6000-7f4e494e5000 ---p 00077000 fd:00 11273333                   /usr/lib64/libgmp.so.10.2.0
7f4e494e5000-7f4e494e6000 r--p 00076000 fd:00 11273333                   /usr/lib64/libgmp.so.10.2.0
7f4e494e6000-7f4e494e7000 rw-p 00077000 fd:00 11273333                   /usr/lib64/libgmp.so.10.2.0
7f4e494e7000-7f4e49511000 r-xp 00000000 fd:00 11304790                   /usr/lib64/libhogweed.so.4.1
7f4e49511000-7f4e49711000 ---p 0002a000 fd:00 11304790                   /usr/lib64/libhogweed.so.4.1
7f4e49711000-7f4e49712000 r--p 0002a000 fd:00 11304790                   /usr/lib64/libhogweed.so.4.1
7f4e49712000-7f4e49713000 rw-p 00000000 00:00 0 
7f4e49713000-7f4e49748000 r-xp 00000000 fd:00 11304793                   /usr/lib64/libnettle.so.6.1
7f4e49748000-7f4e49947000 ---p 00035000 fd:00 11304793                   /usr/lib64/libnettle.so.6.1
7f4e49947000-7f4e49949000 r--p 00034000 fd:00 11304793                   /usr/lib64/libnettle.so.6.1
7f4e49949000-7f4e4994a000 rw-p 00000000 00:00 0 
7f4e4994a000-7f4e4995b000 r-xp 00000000 fd:00 11299258                   /usr/lib64/libtasn1.so.6.4.2
7f4e4995b000-7f4e49b5b000 ---p 00011000 fd:00 11299258                   /usr/lib64/libtasn1.so.6.4.2
7f4e49b5b000-7f4e49b5c000 r--p 00011000 fd:00 11299258                   /usr/lib64/libtasn1.so.6.4.2
7f4e49b5c000-7f4e49b5d000 rw-p 00012000 fd:00 11299258                   /usr/lib64/libtasn1.so.6.4.2
7f4e49b5d000-7f4e49b8f000 r-xp 00000000 fd:00 11288731                   /usr/lib64/libidn.so.11.6.15
7f4e49b8f000-7f4e49d8f000 ---p 00032000 fd:00 11288731                   /usr/lib64/libidn.so.11.6.15
7f4e49d8f000-7f4e49d90000 r--p 00032000 fd:00 11288731                   /usr/lib64/libidn.so.11.6.15
7f4e49d90000-7f4e49d91000 rw-p 00033000 fd:00 11288731                   /usr/lib64/libidn.so.11.6.15
7f4e49d91000-7f4e49deb000 r-xp 00000000 fd:00 11289024                   /usr/lib64/libp11-kit.so.0.1.0
7f4e49deb000-7f4e49feb000 ---p 0005a000 fd:00 11289024                   /usr/lib64/libp11-kit.so.0.1.0
7f4e49feb000-7f4e49ff5000 r--p 0005a000 fd:00 11289024                   /usr/lib64/libp11-kit.so.0.1.0
7f4e49ff5000-7f4e49ff7000 rw-p 00064000 fd:00 11289024                   /usr/lib64/libp11-kit.so.0.1.0
7f4e49ff7000-7f4e4a009000 r-xp 00000000 fd:00 11282222                   /usr/lib64/libgpg-error.so.0.16.0
7f4e4a009000-7f4e4a208000 ---p 00012000 fd:00 11282222                   /usr/lib64/libgpg-error.so.0.16.0
7f4e4a208000-7f4e4a209000 r--p 00011000 fd:00 11282222                   /usr/lib64/libgpg-error.so.0.16.0
7f4e4a209000-7f4e4a20a000 rw-p 00012000 fd:00 11282222                   /usr/lib64/libgpg-error.so.0.16.0
7f4e4a20a000-7f4e4a30b000 r-xp 00000000 fd:00 11291379                   /usr/lib64/libm-2.22.so
7f4e4a30b000-7f4e4a50a000 ---p 00101000 fd:00 11291379                   /usr/lib64/libm-2.22.so
7f4e4a50a000-7f4e4a50b000 r--p 00100000 fd:00 11291379                   /usr/lib64/libm-2.22.so
7f4e4a50b000-7f4e4a50c000 rw-p 00101000 fd:00 11291379                   /usr/lib64/libm-2.22.so
7f4e4a50c000-7f4e4a55a000 r-xp 00000000 fd:00 11274141                   /usr/lib64/libdbus-1.so.3.14.5
7f4e4a55a000-7f4e4a759000 ---p 0004e000 fd:00 11274141                   /usr/lib64/libdbus-1.so.3.14.5
7f4e4a759000-7f4e4a75b000 r--p 0004d000 fd:00 11274141                   /usr/lib64/libdbus-1.so.3.14.5
7f4e4a75b000-7f4e4a75c000 rw-p 0004f000 fd:00 11274141                   /usr/lib64/libdbus-1.so.3.14.5
7f4e4a75c000-7f4e4a77d000 r-xp 00000000 fd:00 11272855                   /usr/lib64/libxcb.so.1.1.0
7f4e4a77d000-7f4e4a97c000 ---p 00021000 fd:00 11272855                   /usr/lib64/libxcb.so.1.1.0
7f4e4a97c000-7f4e4a97d000 r--p 00020000 fd:00 11272855                   /usr/lib64/libxcb.so.1.1.0
7f4e4a97d000-7f4e4a97e000 rw-p 00021000 fd:00 11272855                   /usr/lib64/libxcb.so.1.1.0
7f4e4a97e000-7f4e4a987000 r-xp 00000000 fd:00 11299345                   /usr/lib64/libXrender.so.1.3.0
7f4e4a987000-7f4e4ab87000 ---p 00009000 fd:00 11299345                   /usr/lib64/libXrender.so.1.3.0
7f4e4ab87000-7f4e4ab88000 r--p 00009000 fd:00 11299345                   /usr/lib64/libXrender.so.1.3.0
7f4e4ab88000-7f4e4ab89000 rw-p 0000a000 fd:00 11299345                   /usr/lib64/libXrender.so.1.3.0
7f4e4ab89000-7f4e4ab98000 r-xp 00000000 fd:00 11284106                   /usr/lib64/libXi.so.6.1.0
7f4e4ab98000-7f4e4ad97000 ---p 0000f000 fd:00 11284106                   /usr/lib64/libXi.so.6.1.0
7f4e4ad97000-7f4e4ad98000 r--p 0000e000 fd:00 11284106                   /usr/lib64/libXi.so.6.1.0
7f4e4ad98000-7f4e4ad99000 rw-p 0000f000 fd:00 11284106                   /usr/lib64/libXi.so.6.1.0
7f4e4ad99000-7f4e4ae10000 r-xp 00000000 fd:00 11274246                   /usr/lib64/libfreebl3.so
7f4e4ae10000-7f4e4b00f000 ---p 00077000 fd:00 11274246                   /usr/lib64/libfreebl3.so
7f4e4b00f000-7f4e4b011000 r--p 00076000 fd:00 11274246                   /usr/lib64/libfreebl3.so
7f4e4b011000-7f4e4b012000 rw-p 00078000 fd:00 11274246                   /usr/lib64/libfreebl3.so
7f4e4b012000-7f4e4b016000 rw-p 00000000 00:00 0 
7f4e4b016000-7f4e4b019000 r-xp 00000000 fd:00 11291301                   /usr/lib64/libdl-2.22.so
7f4e4b019000-7f4e4b218000 ---p 00003000 fd:00 11291301                   /usr/lib64/libdl-2.22.so
7f4e4b218000-7f4e4b219000 r--p 00002000 fd:00 11291301                   /usr/lib64/libdl-2.22.so
7f4e4b219000-7f4e4b21a000 rw-p 00003000 fd:00 11291301                   /usr/lib64/libdl-2.22.so
7f4e4b21a000-7f4e4b249000 r-xp 00000000 fd:00 11282949                   /usr/lib64/libk5crypto.so.3.1
7f4e4b249000-7f4e4b449000 ---p 0002f000 fd:00 11282949                   /usr/lib64/libk5crypto.so.3.1
7f4e4b449000-7f4e4b44b000 r--p 0002f000 fd:00 11282949                   /usr/lib64/libk5crypto.so.3.1
7f4e4b44b000-7f4e4b44c000 rw-p 00031000 fd:00 11282949                   /usr/lib64/libk5crypto.so.3.1
7f4e4b44c000-7f4e4b44f000 r-xp 00000000 fd:00 11297945                   /usr/lib64/libcom_err.so.2.1
7f4e4b44f000-7f4e4b64e000 ---p 00003000 fd:00 11297945                   /usr/lib64/libcom_err.so.2.1
7f4e4b64e000-7f4e4b64f000 r--p 00002000 fd:00 11297945                   /usr/lib64/libcom_err.so.2.1
7f4e4b64f000-7f4e4b650000 rw-p 00003000 fd:00 11297945                   /usr/lib64/libcom_err.so.2.1
7f4e4b650000-7f4e4b725000 r-xp 00000000 fd:00 11277200                   /usr/lib64/libkrb5.so.3.3
7f4e4b725000-7f4e4b924000 ---p 000d5000 fd:00 11277200                   /usr/lib64/libkrb5.so.3.3
7f4e4b924000-7f4e4b933000 r--p 000d4000 fd:00 11277200                   /usr/lib64/libkrb5.so.3.3
7f4e4b933000-7f4e4b935000 rw-p 000e3000 fd:00 11277200                   /usr/lib64/libkrb5.so.3.3
7f4e4b935000-7f4e4b980000 r-xp 00000000 fd:00 11298377                   /usr/lib64/libgssapi_krb5.so.2.2
7f4e4b980000-7f4e4bb80000 ---p 0004b000 fd:00 11298377                   /usr/lib64/libgssapi_krb5.so.2.2
7f4e4bb80000-7f4e4bb82000 r--p 0004b000 fd:00 11298377                   /usr/lib64/libgssapi_krb5.so.2.2
7f4e4bb82000-7f4e4bb83000 rw-p 0004d000 fd:00 11298377                   /usr/lib64/libgssapi_krb5.so.2.2
7f4e4bb83000-7f4e4bca8000 r-xp 00000000 fd:00 11277986                   /usr/lib64/libgnutls.so.30.5.0
7f4e4bca8000-7f4e4bea7000 ---p 00125000 fd:00 11277986                   /usr/lib64/libgnutls.so.30.5.0
7f4e4bea7000-7f4e4beb4000 r--p 00124000 fd:00 11277986                   /usr/lib64/libgnutls.so.30.5.0
7f4e4beb4000-7f4e4beb5000 rw-p 00131000 fd:00 11277986                   /usr/lib64/libgnutls.so.30.5.0
7f4e4beb5000-7f4e4beb6000 rw-p 00000000 00:00 0 
7f4e4beb6000-7f4e4bf91000 r-xp 00000000 fd:00 11282271                   /usr/lib64/libgcrypt.so.20.0.4
7f4e4bf91000-7f4e4c191000 ---p 000db000 fd:00 11282271                   /usr/lib64/libgcrypt.so.20.0.4
7f4e4c191000-7f4e4c192000 r--p 000db000 fd:00 11282271                   /usr/lib64/libgcrypt.so.20.0.4
7f4e4c192000-7f4e4c19a000 rw-p 000dc000 fd:00 11282271                   /usr/lib64/libgcrypt.so.20.0.4
7f4e4c19a000-7f4e4c19b000 rw-p 00000000 00:00 0 
7f4e4c19b000-7f4e4c1b2000 r-xp 00000000 fd:00 11300114                   /usr/lib64/libresolv-2.22.so
7f4e4c1b2000-7f4e4c3b2000 ---p 00017000 fd:00 11300114                   /usr/lib64/libresolv-2.22.so
7f4e4c3b2000-7f4e4c3b3000 r--p 00017000 fd:00 11300114                   /usr/lib64/libresolv-2.22.so
7f4e4c3b3000-7f4e4c3b4000 rw-p 00018000 fd:00 11300114                   /usr/lib64/libresolv-2.22.so
7f4e4c3b4000-7f4e4c3b6000 rw-p 00000000 00:00 0 
7f4e4c3b6000-7f4e4c3e7000 r-xp 00000000 fd:00 11276338                   /usr/lib64/libpng16.so.16.19.0
7f4e4c3e7000-7f4e4c5e7000 ---p 00031000 fd:00 11276338                   /usr/lib64/libpng16.so.16.19.0
7f4e4c5e7000-7f4e4c5e8000 r--p 00031000 fd:00 11276338                   /usr/lib64/libpng16.so.16.19.0
7f4e4c5e8000-7f4e4c5e9000 rw-p 00000000 00:00 0 
7f4e4c5e9000-7f4e4c5ec000 r-xp 00000000 fd:00 11305440                   /usr/lib64/libminilzo.so.0
7f4e4c5ec000-7f4e4c7eb000 ---p 00003000 fd:00 11305440                   /usr/lib64/libminilzo.so.0
7f4e4c7eb000-7f4e4c7ec000 r--p 00002000 fd:00 11305440                   /usr/lib64/libminilzo.so.0
7f4e4c7ec000-7f4e4c7ed000 rw-p 00000000 00:00 0 
7f4e4c7ed000-7f4e4c9a4000 r-xp 00000000 fd:00 11272767                   /usr/lib64/libc-2.22.so
7f4e4c9a4000-7f4e4cba4000 ---p 001b7000 fd:00 11272767                   /usr/lib64/libc-2.22.so
7f4e4cba4000-7f4e4cba8000 r--p 001b7000 fd:00 11272767                   /usr/lib64/libc-2.22.so
7f4e4cba8000-7f4e4cbaa000 rw-p 001bb000 fd:00 11272767                   /usr/lib64/libc-2.22.so
7f4e4cbaa000-7f4e4cbae000 rw-p 00000000 00:00 0 
7f4e4cbae000-7f4e4cc05000 r-xp 00000000 fd:00 11273323                   /usr/lib64/libjpeg.so.62.1.0
7f4e4cc05000-7f4e4ce05000 ---p 00057000 fd:00 11273323                   /usr/lib64/libjpeg.so.62.1.0
7f4e4ce05000-7f4e4ce06000 r--p 00057000 fd:00 11273323                   /usr/lib64/libjpeg.so.62.1.0
7f4e4ce06000-7f4e4ce07000 rw-p 00000000 00:00 0 
7f4e4ce07000-7f4e4ce1c000 r-xp 00000000 fd:00 11290429                   /usr/lib64/libz.so.1.2.8
7f4e4ce1c000-7f4e4d01b000 ---p 00015000 fd:00 11290429                   /usr/lib64/libz.so.1.2.8
7f4e4d01b000-7f4e4d01c000 r--p 00014000 fd:00 11290429                   /usr/lib64/libz.so.1.2.8
7f4e4d01c000-7f4e4d01d000 rw-p 00015000 fd:00 11290429                   /usr/lib64/libz.so.1.2.8
7f4e4d01d000-7f4e4d035000 r-xp 00000000 fd:00 11287984                   /usr/lib64/libpthread-2.22.so
7f4e4d035000-7f4e4d234000 ---p 00018000 fd:00 11287984                   /usr/lib64/libpthread-2.22.so
7f4e4d234000-7f4e4d235000 r--p 00017000 fd:00 11287984                   /usr/lib64/libpthread-2.22.so
7f4e4d235000-7f4e4d236000 rw-p 00018000 fd:00 11287984                   /usr/lib64/libpthread-2.22.so
7f4e4d236000-7f4e4d23a000 rw-p 00000000 00:00 0 
7f4e4d23a000-7f4e4d250000 r-xp 00000000 fd:00 11300081                   /usr/lib64/libnsl-2.22.so
7f4e4d250000-7f4e4d44f000 ---p 00016000 fd:00 11300081                   /usr/lib64/libnsl-2.22.so
7f4e4d44f000-7f4e4d450000 r--p 00015000 fd:00 11300081                   /usr/lib64/libnsl-2.22.so
7f4e4d450000-7f4e4d451000 rw-p 00016000 fd:00 11300081                   /usr/lib64/libnsl-2.22.so
7f4e4d451000-7f4e4d453000 rw-p 00000000 00:00 0 
7f4e4d453000-7f4e4d463000 r-xp 00000000 fd:00 11284236                   /usr/lib64/libavahi-client.so.3.2.9
7f4e4d463000-7f4e4d662000 ---p 00010000 fd:00 11284236                   /usr/lib64/libavahi-client.so.3.2.9
7f4e4d662000-7f4e4d663000 r--p 0000f000 fd:00 11284236                   /usr/lib64/libavahi-client.so.3.2.9
7f4e4d663000-7f4e4d664000 rw-p 00010000 fd:00 11284236                   /usr/lib64/libavahi-client.so.3.2.9
7f4e4d664000-7f4e4d670000 r-xp 00000000 fd:00 11300693                   /usr/lib64/libavahi-common.so.3.5.3
7f4e4d670000-7f4e4d86f000 ---p 0000c000 fd:00 11300693                   /usr/lib64/libavahi-common.so.3.5.3
7f4e4d86f000-7f4e4d870000 r--p 0000b000 fd:00 11300693                   /usr/lib64/libavahi-common.so.3.5.3
7f4e4d870000-7f4e4d871000 rw-p 0000c000 fd:00 11300693                   /usr/lib64/libavahi-common.so.3.5.3
7f4e4d871000-7f4e4d9ab000 r-xp 00000000 fd:00 11276514                   /usr/lib64/libX11.so.6.3.0
7f4e4d9ab000-7f4e4dbaa000 ---p 0013a000 fd:00 11276514                   /usr/lib64/libX11.so.6.3.0
7f4e4dbaa000-7f4e4dbad000 r--p 00139000 fd:00 11276514                   /usr/lib64/libX11.so.6.3.0
7f4e4dbad000-7f4e4dbb1000 rw-p 0013c000 fd:00 11276514                   /usr/lib64/libX11.so.6.3.0
7f4e4dbb1000-7f4e4dbb3000 r-xp 00000000 fd:00 11285233                   /usr/lib64/libXdamage.so.1.1.0
7f4e4dbb3000-7f4e4ddb2000 ---p 00002000 fd:00 11285233                   /usr/lib64/libXdamage.so.1.1.0
7f4e4ddb2000-7f4e4ddb3000 r--p 00001000 fd:00 11285233                   /usr/lib64/libXdamage.so.1.1.0
7f4e4ddb3000-7f4e4ddb4000 rw-p 00000000 00:00 0 
7f4e4ddb4000-7f4e4ddb9000 r-xp 00000000 fd:00 11299357                   /usr/lib64/libXfixes.so.3.1.0
7f4e4ddb9000-7f4e4dfb8000 ---p 00005000 fd:00 11299357                   /usr/lib64/libXfixes.so.3.1.0
7f4e4dfb8000-7f4e4dfb9000 r--p 00004000 fd:00 11299357                   /usr/lib64/libXfixes.so.3.1.0
7f4e4dfb9000-7f4e4dfba000 rw-p 00005000 fd:00 11299357                   /usr/lib64/libXfixes.so.3.1.0
7f4e4dfba000-7f4e4dfc4000 r-xp 00000000 fd:00 11283818                   /usr/lib64/libXrandr.so.2.2.0
7f4e4dfc4000-7f4e4e1c3000 ---p 0000a000 fd:00 11283818                   /usr/lib64/libXrandr.so.2.2.0
7f4e4e1c3000-7f4e4e1c4000 r--p 00009000 fd:00 11283818                   /usr/lib64/libXrandr.so.2.2.0
7f4e4e1c4000-7f4e4e1c5000 rw-p 0000a000 fd:00 11283818                   /usr/lib64/libXrandr.so.2.2.0
7f4e4e1c5000-7f4e4e1c7000 r-xp 00000000 fd:00 11285238                   /usr/lib64/libXinerama.so.1.0.0
7f4e4e1c7000-7f4e4e3c6000 ---p 00002000 fd:00 11285238                   /usr/lib64/libXinerama.so.1.0.0
7f4e4e3c6000-7f4e4e3c7000 r--p 00001000 fd:00 11285238                   /usr/lib64/libXinerama.so.1.0.0
7f4e4e3c7000-7f4e4e3c8000 rw-p 00002000 fd:00 11285238                   /usr/lib64/libXinerama.so.1.0.0
7f4e4e3c8000-7f4e4e3d9000 r-xp 00000000 fd:00 11273579                   /usr/lib64/libXext.so.6.4.0
7f4e4e3d9000-7f4e4e5d8000 ---p 00011000 fd:00 11273579                   /usr/lib64/libXext.so.6.4.0
7f4e4e5d8000-7f4e4e5d9000 r--p 00010000 fd:00 11273579                   /usr/lib64/libXext.so.6.4.0
7f4e4e5d9000-7f4e4e5da000 rw-p 00011000 fd:00 11273579                   /usr/lib64/libXext.so.6.4.0
7f4e4e5da000-7f4e4e5df000 r-xp 00000000 fd:00 11299910                   /usr/lib64/libXtst.so.6.1.0
7f4e4e5df000-7f4e4e7de000 ---p 00005000 fd:00 11299910                   /usr/lib64/libXtst.so.6.1.0
7f4e4e7de000-7f4e4e7df000 r--p 00004000 fd:00 11299910                   /usr/lib64/libXtst.so.6.1.0
7f4e4e7df000-7f4e4e7e0000 rw-p 00005000 fd:00 11299910                   /usr/lib64/libXtst.so.6.1.0
7f4e4e7e0000-7f4e4e7e7000 r-xp 00000000 fd:00 11281111                   /usr/lib64/libcrypt-2.22.so
7f4e4e7e7000-7f4e4e9e6000 ---p 00007000 fd:00 11281111                   /usr/lib64/libcrypt-2.22.so
7f4e4e9e6000-7f4e4e9e7000 r--p 00006000 fd:00 11281111                   /usr/lib64/libcrypt-2.22.so
7f4e4e9e7000-7f4e4e9e8000 rw-p 00007000 fd:00 11281111                   /usr/lib64/libcrypt-2.22.so
7f4e4e9e8000-7f4e4ea16000 rw-p 00000000 00:00 0 
7f4e4ea16000-7f4e4ec37000 r-xp 00000000 fd:00 11273018                   /usr/lib64/libcrypto.so.1.0.2d
7f4e4ec37000-7f4e4ee37000 ---p 00221000 fd:00 11273018                   /usr/lib64/libcrypto.so.1.0.2d
7f4e4ee37000-7f4e4ee52000 r--p 00221000 fd:00 11273018                   /usr/lib64/libcrypto.so.1.0.2d
7f4e4ee52000-7f4e4ee5f000 rw-p 0023c000 fd:00 11273018                   /usr/lib64/libcrypto.so.1.0.2d
7f4e4ee5f000-7f4e4ee63000 rw-p 00000000 00:00 0 
7f4e4ee63000-7f4e4eed0000 r-xp 00000000 fd:00 11273604                   /usr/lib64/libssl.so.1.0.2d
7f4e4eed0000-7f4e4f0d0000 ---p 0006d000 fd:00 11273604                   /usr/lib64/libssl.so.1.0.2d
7f4e4f0d0000-7f4e4f0d5000 r--p 0006d000 fd:00 11273604                   /usr/lib64/libssl.so.1.0.2d
7f4e4f0d5000-7f4e4f0dc000 rw-p 00072000 fd:00 11273604                   /usr/lib64/libssl.so.1.0.2d
7f4e4f0dc000-7f4e4f0f8000 r-xp 00000000 fd:00 11295829                   /usr/lib64/libvncclient.so.0.0.0
7f4e4f0f8000-7f4e4f2f8000 ---p 0001c000 fd:00 11295829                   /usr/lib64/libvncclient.so.0.0.0
7f4e4f2f8000-7f4e4f2f9000 r--p 0001c000 fd:00 11295829                   /usr/lib64/libvncclient.so.0.0.0
7f4e4f2f9000-7f4e4f2fa000 rw-p 0001d000 fd:00 11295829                   /usr/lib64/libvncclient.so.0.0.0
7f4e4f2fa000-7f4e4f33d000 r-xp 00000000 fd:00 11300338                   /usr/lib64/libvncserver.so.0.0.0
7f4e4f33d000-7f4e4f53c000 ---p 00043000 fd:00 11300338                   /usr/lib64/libvncserver.so.0.0.0
7f4e4f53c000-7f4e4f53e000 r--p 00042000 fd:00 11300338                   /usr/lib64/libvncserver.so.0.0.0
7f4e4f53e000-7f4e4f53f000 rw-p 00044000 fd:00 11300338                   /usr/lib64/libvncserver.so.0.0.0
7f4e4f53f000-7f4e4f553000 rw-p 00000000 00:00 0 
7f4e4f553000-7f4e4f574000 r-xp 00000000 fd:00 11272797                   /usr/lib64/ld-2.22.so
7f4e4f583000-7f4e4f59c000 rw-s 00000000 00:05 1998875                    /SYSV00000000 (deleted)
7f4e4f59c000-7f4e4f5b4000 rw-s 00000000 00:05 1966106                    /SYSV00000000 (deleted)
7f4e4f5b4000-7f4e4f5cb000 rw-s 00000000 00:05 1933337                    /SYSV00000000 (deleted)
7f4e4f5cb000-7f4e4f5e1000 rw-s 00000000 00:05 1900568                    /SYSV00000000 (deleted)
7f4e4f5e1000-7f4e4f5f6000 rw-s 00000000 00:05 1867799                    /SYSV00000000 (deleted)
7f4e4f5f6000-7f4e4f60a000 rw-s 00000000 00:05 1835030                    /SYSV00000000 (deleted)
7f4e4f60a000-7f4e4f61d000 rw-s 00000000 00:05 1802261                    /SYSV00000000 (deleted)
7f4e4f61d000-7f4e4f62f000 rw-s 00000000 00:05 1769492                    /SYSV00000000 (deleted)
7f4e4f62f000-7f4e4f640000 rw-s 00000000 00:05 1736723                    /SYSV00000000 (deleted)
7f4e4f640000-7f4e4f650000 rw-s 00000000 00:05 1703954                    /SYSV00000000 (deleted)
7f4e4f650000-7f4e4f65f000 rw-s 00000000 00:05 1671185                    /SYSV00000000 (deleted)
7f4e4f65f000-7f4e4f66d000 rw-s 00000000 00:05 1638416                    /SYSV00000000 (deleted)
7f4e4f66d000-7f4e4f67a000 rw-s 00000000 00:05 1605647                    /SYSV00000000 (deleted)
7f4e4f67a000-7f4e4f686000 rw-s 00000000 00:05 1572878                    /SYSV00000000 (deleted)
7f4e4f686000-7f4e4f691000 rw-s 00000000 00:05 1540109                    /SYSV00000000 (deleted)
7f4e4f691000-7f4e4f69b000 rw-s 00000000 00:05 1507340                    /SYSV00000000 (deleted)
7f4e4f69b000-7f4e4f6a4000 rw-s 00000000 00:05 1474571                    /SYSV00000000 (deleted)
7f4e4f6a4000-7f4e4f6ac000 rw-s 00000000 00:05 1441802                    /SYSV00000000 (deleted)
7f4e4f6ac000-7f4e4f6b8000 rw-p 00000000 00:00 0 
7f4e4f6b8000-7f4e4f73b000 r-xp 00000000 fd:00 11272829                   /usr/lib64/libsystemd.so.0.9.0
7f4e4f73b000-7f4e4f73e000 r--p 00082000 fd:00 11272829                   /usr/lib64/libsystemd.so.0.9.0
7f4e4f73e000-7f4e4f73f000 rw-p 00085000 fd:00 11272829                   /usr/lib64/libsystemd.so.0.9.0
7f4e4f73f000-7f4e4f750000 rw-p 00000000 00:00 0 
7f4e4f752000-7f4e4f754000 rw-p 00000000 00:00 0 
7f4e4f754000-7f4e4f75b000 rw-s 00000000 00:05 1409033                    /SYSV00000000 (deleted)
7f4e4f75b000-7f4e4f761000 rw-s 00000000 00:05 1376264                    /SYSV00000000 (deleted)
7f4e4f761000-7f4e4f766000 rw-s 00000000 00:05 1343495                    /SYSV00000000 (deleted)
7f4e4f766000-7f4e4f76a000 rw-s 00000000 00:05 1310726                    /SYSV00000000 (deleted)
7f4e4f76a000-7f4e4f76d000 rw-s 00000000 00:05 1277957                    /SYSV00000000 (deleted)
7f4e4f76d000-7f4e4f76f000 rw-s 00000000 00:05 1245188                    /SYSV00000000 (deleted)
7f4e4f76f000-7f4e4f770000 rw-s 00000000 00:05 1212419                    /SYSV00000000 (deleted)
7f4e4f770000-7f4e4f772000 rw-s 00000000 00:05 1146881                    /SYSV00000000 (deleted)
7f4e4f772000-7f4e4f773000 rw-p 00000000 00:00 0 
7f4e4f773000-7f4e4f774000 r--p 00020000 fd:00 11272797                   /usr/lib64/ld-2.22.so
7f4e4f774000-7f4e4f775000 rw-p 00021000 fd:00 11272797                   /usr/lib64/ld-2.22.so
7f4e4f775000-7f4e4f776000 rw-p 00000000 00:00 0 
7ffc08c87000-7ffc08ca8000 rw-p 00000000 00:00 0                          [stack]
7ffc08cc5000-7ffc08cc7000 r--p 00000000 00:00 0                          [vvar]
7ffc08cc7000-7ffc08cc9000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
caught signal: 6
30/11/2015 17:29:44 deleted 60 tile_row polling images.
30/11/2015 17:29:44 Restored X server key autorepeat to: 1
[root@Pluto ~]#
Comment 6 Roberto Ragusa 2015-12-09 08:55:24 EST
Similar problem here on fully updated F23:

/usr/bin/x11vnc(+0x96990)[0x55bf97b25990]
/usr/bin/x11vnc(+0xa1665)[0x55bf97b30665]
/usr/bin/x11vnc(+0x6a10b)[0x55bf97af910b]
/usr/bin/x11vnc(+0x119ff)[0x55bf97aa09ff]

would it help to reproduce with debuginfo rpm installed?
Comment 7 Pavel Alexeev 2016-01-07 08:25:24 EST
Yes, please.
Comment 8 Dominique Brazziel 2016-01-10 14:42:50 EST
I have been having the exact same problem for months.  I installed the debuginfo
packages but abrt is not detecting the crash.  Is there anything else I need to
do to generate a more helpful stack trace?
Comment 9 Dominique Brazziel 2016-01-10 18:04 EST
Created attachment 1113406 [details]
gdb stack trace

I ran x11vnc under gdb and got this stack trace.
Comment 10 Ian Westcott 2016-02-02 03:16:27 EST
I'm running the 0.9.14 under F23 as well, and it crashes 15-20 times a day for me. No joke. I have it running in a for loop -- as soon as the process exits, I start up another. By the time I click connect in my VNC client x11vnc is ready for connections again. 

I had no problems with the 0.9.11 version that I used in F19. I can attach a gdb backtrace if needed, it looks pretty similar to Dominique's, where parse_reply_call_callback() seems to be involved in the chain.

It's almost always some sort of pop-up item -- often a menu in firefox will do it, or dragging/dropping anything in the web browser.
Comment 11 Dominique Brazziel 2016-02-04 10:09:19 EST
In my case I am either working in Thunar, or configuring the display.  I have a VGA connection to the a TV monitor @1280x768), the laptop screen is 1200x600.  I can almost trigger it at will by enabling or disabling the TV monitor as secondary display.
Comment 12 Ian Westcott 2016-02-24 20:32:51 EST
After going back several versions, I'm not sure if the version of x11vnc is at fault. Instead, I added the --disable-xfixes  flag to %configure in the rpm spec file and rebuilt, and it hasn't crashed since. 

I suspect xfixes may be to blame somewhere.
Comment 13 Roberto Ragusa 2016-02-25 03:47:28 EST
According to www.karlrunge.com/x11vnc/ «If available, the XFIXES extension is used to retrieve the current mouse cursor shape.»

Wikipedia enumerates other possible xfixes features, mostly related to mouse pointer handling:
https://en.wikipedia.org/wiki/XFixes
Comment 14 Ian Westcott 2016-02-26 05:27:31 EST
Oh, I would have spoken too soon! 

It DOES seem like disabling XFIXES improves stability, but I'm still getting numerous stack-smashing crashed from x11vnc with that disabled.
Comment 15 Ian Westcott 2016-02-26 05:28:32 EST
But yes, not having the cursor change (as much is an annoyance. But it's worth it for increased stability.
Comment 16 Roberto Ragusa 2016-02-28 09:54:35 EST
==3018== Invalid read of size 4
==3018==    at 0x1BFE44: record_CW (xrecord.c:974)
==3018==    by 0x1C0B2A: record_switch (xrecord.c:1387)
==3018==    by 0x5BC2A4D: parse_reply_call_callback.isra.2 (XRecord.c:838)
==3018==    by 0x5BC2EDC: record_async_handler (XRecord.c:963)
==3018==    by 0x68322AC: handle_response (xcb_io.c:319)
==3018==    by 0x6832CA4: _XEventsQueued (xcb_io.c:364)
==3018==    by 0x68246A6: XPending (Pending.c:55)
==3018==    by 0x19FAE9: check_xrecord_keys (userinput.c:2674)
==3018==    by 0x19FAE9: check_xrecord (userinput.c:3173)
==3018==    by 0x1AA034: check_user_input (userinput.c:5712)
==3018==    by 0x17258A: watch_loop (screen.c:4582)
==3018==    by 0x119A3E: main (x11vnc.c:6044)
==3018==  Address 0xd4950cc is 0 bytes after a block of size 28 alloc'd
==3018==    at 0x4C28D06: malloc (vg_replace_malloc.c:299)
==3018==    by 0x5BC2D5B: alloc_reply_buffer.isra.3 (XRecord.c:577)
==3018==    by 0x5BC2E57: record_async_handler (XRecord.c:948)
==3018==    by 0x68322AC: handle_response (xcb_io.c:319)
==3018==    by 0x6832CA4: _XEventsQueued (xcb_io.c:364)
==3018==    by 0x68246A6: XPending (Pending.c:55)
==3018==    by 0x19FAE9: check_xrecord_keys (userinput.c:2674)
==3018==    by 0x19FAE9: check_xrecord (userinput.c:3173)
==3018==    by 0x1AA034: check_user_input (userinput.c:5712)
==3018==    by 0x17258A: watch_loop (screen.c:4582)
==3018==    by 0x119A3E: main (x11vnc.c:6044)
==3018== 
*** stack smashing detected ***: /usr/bin/x11vnc terminated
Comment 17 Will Foster 2016-03-18 06:28:27 EDT
I'm getting the same issue on Fedora 23 (on armv7).
Comment 18 Will Foster 2016-03-18 09:47 EDT
Created attachment 1137777 [details]
Crash log from x11vnc

Fedora 23 updated to 2016-03-18
x11vnc-0.9.14-1.fc23.armv7hl
Comment 19 Rick Dicaire 2016-03-24 10:05:30 EDT
Whats the status of this. x11vnc is unusable in its current state.
Using -noxfixes has no impact.
Comment 20 Timo 2016-04-02 18:04:30 EDT
My service is running stable after adding "-noipv6". Maybe this helps someone.
Comment 21 crxssi 2016-04-13 16:38:06 EDT
We are having the same major problem, Fedora 23 x86_64 is machine running x11vnc (x11vnc-0.9.14-1.fc23.x86_64).  Machines running the viewer are Fedora 21 x86_64(tigervnc-1.4.3-3.fc21.x86_64.

Adding "-noipv6" doesn't help.  Adding "-nofixes" doesn't help.  I tried numerous other flags with no improvement.  In our case, it is extremely repeatable.  If I am viewing someone's desktop and they are in LibreOffice, if THEY click on the File menu, no problem.  But if *I* (the vncviewer user) click on the File menu, x11vnc instantly crashes.  There are other places too, mostly on menus, that cause the problem.  I find it odd it only crashes when the viewer user clicks on something and not the native user.

Since we base all our support around x11vnc, this is a major issue for us now (since we are using Fedora 23 as the basis for our newer workstations).

I will attach three files that contain the output of x11vnc before the crash, vncviewer (precrash), and everything that x11vnc spits out when it crashes:

precrash_x11vnc.txt
precrash_vncviewer.txt
crash_x11vnc.txt

Any thoughts or help greatly appreciated.
Comment 22 crxssi 2016-04-13 16:39 EDT
Created attachment 1146952 [details]
stdout/err before crash in x11vnc
Comment 23 crxssi 2016-04-13 16:40 EDT
Created attachment 1146953 [details]
stdout/err of vncviewer before crash of x11vnc
Comment 24 crxssi 2016-04-13 16:41 EDT
Created attachment 1146955 [details]
stdout/err of x11vnc at/after time of crash
Comment 25 crxssi 2016-04-14 12:41:05 EDT
I extracted the x11vnc binary out of the rpm package: x11vnc-0.9.13-13.fc22.x86_64.rpm  from Fedora 22 (the previous version of Fedora) and just swapped that in /usr/bin as a test and that actually seems to fix the problem.  Could be useful for someone desperate for a workaround (like we are).

You can use:

rpm2cpio x11vnc-0.9.13-13.fc22.x86_64.rpm | cpio -id

to extract the binary so you can copy/move it out.  Be aware that any dnf/yum/rpm update process that has a newer x11vnc will overwrite your manual binary swap.
Comment 26 Alexander E. Patrakov 2016-07-03 15:20:18 EDT
Does it help if you add -noscr to x11vnc command line?
Comment 27 CW Lin 2016-08-10 06:09:29 EDT
I have no idea about Fedora 23, but it seems that the option '-noscr' have fixed the crash problem of x11vnc on Fedora 24.
Comment 28 Fedora End Of Life 2016-11-24 08:05:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 29 Fedora End Of Life 2016-12-20 10:24:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.